execute as @a at @s if entity @s[x=-4,y=19,z=87,dx=5,dy=8,dz=2] run playsound minecraft:entity.villager.no master @s
execute as @a at @s if entity @s[x=-4,y=19,z=87,dx=5,dy=8,dz=2] run tellraw @s ["",{"text":"You have still yet to unlock this area!","color":"red"}]
execute as @a at @s if entity @s[x=-4,y=19,z=87,dx=5,dy=8,dz=2] run tp @s -3 16 93

execute if score spider unlock matches ..30 unless entity @e[type=minecraft:cave_spider,tag=attic] run summon minecraft:cave_spider 27 24 101 {Tags:["attic"],Motion:[0.0d,0.5d,-0.5d],Rotation:[180.0f,0.0f]}
execute as @e[type=cave_spider,tag=attic] at @s if entity @s[nbt={HurtTime:10s}] run scoreboard players add spider unlock 1
execute as @e[type=cave_spider,tag=attic] at @s if entity @s[nbt={HurtTime:10s}] run summon item ~ ~ ~ {Item:{id:"minecraft:iron_nugget",Count:9b},Motion:[0.0d,0.3d,0.0d]}
execute as @e[type=cave_spider,tag=attic] at @s if entity @s[nbt={HurtTime:10s}] run kill @s
execute if score spider unlock matches 31 if score difficulty escape matches 1 unless entity @e[tag=atticHint] run tellraw @a ["",{"text":"You've collected all the items you need!","color":"aqua"}]
execute if score spider unlock matches 31 if score difficulty escape matches 1 if entity @e[tag=atticHint] run tellraw @a ["",{"text":"You've collected all the iron you need. Now find the rest of the items! (A clue as been activated)","color":"aqua"}]
execute if score spider unlock matches 31 if score difficulty escape matches 1 if entity @e[tag=atticHint] run scoreboard objectives add atticHint minecraft.dropped:minecraft.flower_banner_pattern
execute if score spider unlock matches 31 if score difficulty escape matches 1 run scoreboard players set spider unlock 32

scoreboard players set minecart unlock 0
execute as @e[type=item_frame,tag=minecart] at @s if entity @s[nbt={Item:{id:"minecraft:minecart",Count:1b}}] run scoreboard players add minecart unlock 1
execute as @e[type=item_frame,tag=tnt] at @s if entity @s[nbt={Item:{id:"minecraft:tnt_minecart",Count:1b}}] run scoreboard players add minecart unlock 1
execute as @e[type=item_frame,tag=furnace] at @s if entity @s[nbt={Item:{id:"minecraft:furnace_minecart",Count:1b}}] run scoreboard players add minecart unlock 1
execute as @e[type=item_frame,tag=chest] at @s if entity @s[nbt={Item:{id:"minecraft:chest_minecart",Count:1b}}] run scoreboard players add minecart unlock 1
execute as @e[type=item_frame,tag=hopper] at @s if entity @s[nbt={Item:{id:"minecraft:hopper_minecart",Count:1b}}] run scoreboard players add minecart unlock 1
execute if score minecart unlock matches 5 run function escape:topfloor/unlock

execute as @e[type=item_frame,tag=item_frame,tag=minecart] unless entity @s[nbt={Item:{id:"minecraft:minecart",Count:1b}}] run tag @s remove minecart
execute as @e[type=item_frame,tag=item_frame,tag=tnt] unless entity @s[nbt={Item:{id:"minecraft:tnt_minecart",Count:1b}}] run tag @s remove tnt
execute as @e[type=item_frame,tag=item_frame,tag=furnace] unless entity @s[nbt={Item:{id:"minecraft:furnace_minecart",Count:1b}}] run tag @s remove furnace
execute as @e[type=item_frame,tag=item_frame,tag=chest] unless entity @s[nbt={Item:{id:"minecraft:chest_minecart",Count:1b}}] run tag @s remove chest
execute as @e[type=item_frame,tag=item_frame,tag=hopper] unless entity @s[nbt={Item:{id:"minecraft:hopper_minecart",Count:1b}}] run tag @s remove hopper

execute as @e[type=item_frame,tag=item_frame,tag=!minecart] if entity @s[nbt={Item:{id:"minecraft:minecart",Count:1b}}] unless entity @e[tag=minecart,limit=1,distance=1..] run tag @s add minecart
execute as @e[type=item_frame,tag=item_frame,tag=!tnt] if entity @s[nbt={Item:{id:"minecraft:tnt_minecart",Count:1b}}] unless entity @e[tag=tnt,limit=1,distance=1..] run tag @s add tnt
execute as @e[type=item_frame,tag=item_frame,tag=!furnace] if entity @s[nbt={Item:{id:"minecraft:furnace_minecart",Count:1b}}] unless entity @e[tag=furnace,limit=1,distance=1..] run tag @s add furnace
execute as @e[type=item_frame,tag=item_frame,tag=!chest] if entity @s[nbt={Item:{id:"minecraft:chest_minecart",Count:1b}}] unless entity @e[tag=chest,limit=1,distance=1..] run tag @s add chest
execute as @e[type=item_frame,tag=item_frame,tag=!hopper] if entity @s[nbt={Item:{id:"minecraft:hopper_minecart",Count:1b}}] unless entity @e[tag=hopper,limit=1,distance=1..] run tag @s add hopper

execute as @a[scores={minecart=6}] at @s run clear @s minecart 1
execute as @a[scores={minecart=6}] at @s run give @s iron_ingot 5
execute as @a[scores={minecart=6}] at @s run scoreboard players reset @s minecart

execute as @a[scores={atticHint=1..}] unless score spider unlock matches 32 run scoreboard players reset @a atticHint
execute as @a[scores={atticHint=1..}] if score spider unlock matches 32 as @e[type=minecraft:area_effect_cloud,tag=atticHint,tag=barrel] at @s unless entity @e[type=shulker,tag=atticHint,limit=1,distance=..0.5] run summon minecraft:shulker ~ ~ ~ {Silent:1b,NoAI:1b,Glowing:1b,Invulnerable:1b,Tags:["atticHint"]}
execute as @a[scores={atticHint=1..}] if score spider unlock matches 32 as @e[type=item,nbt={Item:{id:"minecraft:flower_banner_pattern",Count:1b}}] at @s run particle minecraft:cloud ~ ~ ~
execute as @a[scores={atticHint=1..}] if score spider unlock matches 32 as @e[type=item,nbt={Item:{id:"minecraft:flower_banner_pattern",Count:1b}}] at @s run kill @s
execute as @a[scores={atticHint=1..}] if score spider unlock matches 32 run scoreboard objectives remove atticHint

execute as @e[type=shulker,tag=atticHint] at @s unless entity @e[type=area_effect_cloud,tag=atticHint,limit=1,distance=..0.5] run tp @s ~ -999 ~
execute as @e[type=area_effect_cloud,tag=atticHint,tag=barrel] at @s if block ~ ~ ~ minecraft:barrel{Items:[]} run kill @s
