execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: Do you know of the four most valuable blocks in Minecraft? Well guess what, they\'re all hiding in the small room down the hall! Return them to a specific barrel in order to get on your way.","color":"aqua"}]
recipe take @a *
clear @a #useless
execute as @e[type=item_frame] at @s if entity @s[nbt={Item:{}}] run data merge entity @s {Tags:["item_framed"]}
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#advancement grant @a only escape:level7
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set games escape 1
scoreboard players set bedroom escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 8: Bedroom","color":"gold"}]
recipe give @a minecraft:gold_ingot_from_nuggets
recipe give @a minecraft:gold_block

kill @e[x=27,y=16,z=67,dx=8,dy=5,dz=8,type=item_frame]
kill @e[x=27,y=16,z=67,dx=8,dy=5,dz=8,type=painting]

execute positioned 34 18 74 run kill @e[sort=nearest,limit=1,type=item_frame,tag=emerald,tag=item_framed]
data merge block 32 23 63 {Items:[{Slot:13b,id:"minecraft:diamond_block",Count:1b}]}
data merge block 29 17 77 {Items:[{Slot:13b,id:"minecraft:emerald_block",Count:1b}]}
data merge block 29 16 75 {Items:[{Slot:13b,id:"minecraft:iron_block",Count:1b}]}
execute if score difficulty escape matches 3 run summon item_frame 34 19 74 {Facing:1b,ItemRotation:3b,Invulnerable:1b,Item:{id:"minecraft:emerald",Count:1b},Tags:["item_framed","emerald"]}
execute if score difficulty escape matches 1 run summon item_frame 34 19 74 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Have you checked the trapdoors outside?","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 2 run summon item_frame 34 19 74 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Have you checked outside?","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}

execute if score difficulty escape matches 1..2 run data merge block 35 16 69 {CustomName:'{"text":"Input <-----","bold":"true","color":"dark_gray"}',Items:[]}
execute if score difficulty escape matches 3 run data merge block 35 16 69 {CustomName:'{"text":"Input","bold":"true"}',Items:[]}

setblock 27 19 74 minecraft:potted_blue_orchid
setblock 29 20 72 potted_fern
setblock 35 17 73 minecraft:potted_lily_of_the_valley
setblock 28 18 67 minecraft:potted_fern
setblock 27 17 69 minecraft:potted_cornflower
setblock 34 17 68 minecraft:potted_poppy

fill 32 22 63 30 22 61 dark_oak_trapdoor[facing=north,half=top,open=false,powered=false,waterlogged=false] replace dark_oak_trapdoor
summon minecraft:painting 29 18 74 {Motive:"wanderer",Facing:2b,Invulnerable:1b}
summon minecraft:painting 35 17 72 {Motive:"skull_and_roses",Facing:1b,Invulnerable:1b}
execute if score difficulty escape matches 1 run summon minecraft:item_frame 34 17 69 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Put the items you find in the","italic":"false","color":"gray"}','{"text":"barrel hidden below this clue!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}

execute if score difficulty escape matches 2..3 run data merge block 29 19 75 {Text2:'{"text":""}'}
execute if score difficulty escape matches 1 run data merge block 29 19 75 {Text2:'{"text":"Click Buttons!"}'}