execute if score difficulty escape matches 1 run tag @a add redcheck
team empty nopvp
tellraw @a ["",{"text":"Escape the House ","color":"green","hoverEvent":{"action":"show_text","value":["",{"text":"Click the yellow text.","color":16}]}},{"text":"[!] ","color":"gold"},{"text":"Click this text to open the maps walkthrough/tutorial. Only check when you truly feel stuck or maybe give yourself a rule to only check 3 times, like in official escape rooms. :)","color":"yellow","clickEvent":{"action":"open_url","value":"https://www.youtube.com/watch?v=9me9zd_ya-s"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click for link to walk through."}]}}]
execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: In this room, you're looking for 4 helmets varying in the material. There is one red herring and a couple of hints. Good Luck!","color":"aqua"}]
recipe take @a *
spawnpoint @a 27 12 74
setworldspawn 27 12 74
#enterance
function escape:elevator/reload
scoreboard players set enterance escape 0
title @a title ["",{"text":"Escape the House","color":"green"}]
title @a subtitle ["",{"text":"Level 1","color":"gold"}]
kill @e[x=8,y=6,z=76,dx=16,dy=14,dz=9,type=item_frame]
kill @e[x=8,y=6,z=76,dx=16,dy=14,dz=8,type=painting]
kill @e[x=8,y=6,z=76,dx=16,dy=14,dz=8,type=armor_stand]

summon minecraft:painting 17 10 83 {Facing:2b,Motive:"minecraft:stage",Invulnerable:1b}
summon minecraft:painting 21 18 76 {Facing:0b,Invulnerable:1b,Motive:"minecraft:bust"}
summon minecraft:painting 10 18 76 {Facing:0b,Invulnerable:1b,Motive:"minecraft:bust"}
summon minecraft:painting 8 17 83 {Facing: 3b,Invulnerable:1b,Motive:"minecraft:wanderer"}
summon minecraft:painting 8 9 80 {Facing:3b,Invulnerable:1b,Motive:"minecraft:bomb"}
summon minecraft:painting 24 9 83 {Facing:1b,Invulnerable:1b,Motive:"minecraft:plant"}

summon minecraft:item_frame 10 7 80 {Facing:0b,ItemRotation:3b,Invulnerable:1b,Item:{id:"minecraft:golden_helmet",Count:1b},Tags:["golden_helmet"]}
summon minecraft:item_frame 16 10 85 {Facing:2b,Invulnerable:1b,Tags:["diamond","item_frame"],Item:{id:""}}
summon minecraft:item_frame 16 11 85 {Facing:2b,Invulnerable:1b,Tags:["gold","item_frame"],Item:{id:""}}
summon minecraft:item_frame 17 10 85 {Facing:2b,Invulnerable:1b,Tags:["iron","item_frame"],Item:{id:""}}
summon minecraft:item_frame 17 11 85 {Facing:2b,Invulnerable:1b,Tags:["emerald","item_frame"],Item:{id:""}}

summon minecraft:armor_stand 24 7 84 {Tags:["diamond_stand"],Invulnerable:1b,ShowArms:0b,DisabledSlots:921102,Rotation:[135.0f, 0.0f],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{id: "minecraft:diamond_leggings",Count: 1b},{id: "minecraft:diamond_chestplate", Count: 1b},{}]}
summon minecraft:armor_stand 21 7 79 {Tags:["gold_stand"],Invulnerable:1b,ShowArms:0b,DisabledSlots:921102,Rotation:[0.0f, 0.0f],ArmorItems:[{id:"minecraft:golden_boots",Count:1b},{id: "minecraft:golden_leggings",Count: 1b},{id: "minecraft:golden_chestplate", Count: 1b},{}]}
summon minecraft:armor_stand 8 7 84 {Tags:["iron_stand"],Invulnerable:1b,ShowArms:0b,DisabledSlots:921102,Rotation:[-135.0f, 0.0f],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{}]}
summon minecraft:armor_stand 8 7 76 {Tags:["leather_stand"],Invulnerable:1b,ShowArms:0b,DisabledSlots:921102,Rotation:[-45.0f, 0.0f],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:9293111}}},{id: "minecraft:leather_leggings",Count:1b,tag:{display:{color:9293111}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:9293111}}},{}]}

fill 21 7 86 22 9 86 minecraft:spruce_trapdoor[open=true,facing=south]
fill 12 7 86 11 9 86 minecraft:spruce_trapdoor[open=true,facing=south]
fill 6 7 83 6 9 82 minecraft:spruce_trapdoor[facing=west,open=true]
fill 16 16 86 15 19 86 minecraft:spruce_trapdoor[facing=south,half=bottom,open=true]
fill 7 7 83 7 9 82 minecraft:barrier replace air
fill 22 9 87 11 7 87 air replace spruce_trapdoor
fill 5 9 82 5 7 82 air replace spruce_trapdoor
clone 2 1 80 4 3 82 5 7 77
setblock 28 13 84 stone
setblock 26 15 82 stone
setblock 21 18 74 stone
setblock 23 11 81 stone
#execute if score difficulty escape matches 1 run setblock 28 13 84 minecraft:barrel[facing=west,open=false]{Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:chainmail_helmet",Count:1b,tag:{Damage:0,display:{Name:'{"text":"Red Herring","italic":"false","color":"red"}',Lore:['{"text":"Keep on to it, it\'ll be useful later on","color":"gray","italic":"false"}']}}},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]} replace
execute if score difficulty escape matches 1..2 run setblock 28 13 84 minecraft:barrel[facing=west,open=false]{Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:chainmail_helmet",Count:1b,tag:{Damage:0,display:{Name:'{"text":"Chainmail Helmet","italic":"false","color":"red"}'}}},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b}]} replace
execute if score difficulty escape matches 3 run setblock 28 13 84 minecraft:barrel[facing=west,open=false]{Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:chainmail_helmet",Count:1b,tag:{Damage:0}},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]} replace

execute if score difficulty escape matches 3 run setblock 26 15 82 minecraft:barrel[facing=north,open=false]{Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:turtle_helmet",Count:1b,tag:{Damage:0}},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]} replace
execute if score difficulty escape matches 3 run setblock 21 18 74 minecraft:barrel[facing=up,open=false]{Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:diamond_helmet",Count:1b,tag:{Damage:0}},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]} replace
execute if score difficulty escape matches 3 run setblock 23 11 81 minecraft:barrel[facing=down,open=false]{Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:iron_helmet",Count:1b,tag:{Damage:0}},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 1..2 run setblock 26 15 82 minecraft:barrel[facing=north,open=false]{Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:turtle_helmet",Count:1b,tag:{Damage:0}},{Slot:23b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]} replace
execute if score difficulty escape matches 1..2 run setblock 21 18 74 minecraft:barrel[facing=up,open=false]{Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:diamond_helmet",Count:1b,tag:{Damage:0}},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]} replace
execute if score difficulty escape matches 1..2 run setblock 23 11 81 minecraft:barrel[facing=down,open=false]{Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:iron_helmet",Count:1b,tag:{Damage:0}},{Slot:15b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b}]}

data merge block 26 14 85 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Toggle your perspective (twice) while","italic":"false","color":"gray"}','{"text":"looking at a painting for more clues!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1..2 run data merge block 26 13 85 {Items:[{Slot:9b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"That suspicious pink wool may be giving you a hint","italic":"false","color":"gray"}','{"text":"on how to get through the painting above the fireplace.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1..2 run data merge block 26 15 85 {Items:[{Slot:9b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"You found this hint in a barrel, but keep an eye out!","italic":"false","color":"gray"}','{"text":"Barrels can easily blend in when facing away from you.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}

setblock 19 8 84 minecraft:potted_cornflower
setblock 17 10 83 potted_fern
#setblock 16 10 83 minecraft:potted_spruce_sapling

fill 22 10 81 24 10 81 minecraft:dark_oak_trapdoor[facing=south,half=top,open=false]
fill 15 10 74 17 7 74 barrier replace air

execute as @e[type=armor_stand,tag=closet0] run data merge entity @s {ArmorItems:[{id:"minecraft:leather_boots",Count:1b},{},{},{id:"minecraft:leather_helmet",Count:1b}]}
execute as @e[type=armor_stand,tag=closet1] run data merge entity @s {ArmorItems:[{id:"minecraft:leather_boots",Count:1b},{id:"minecraft:leather_leggings",Count:1b},{},{id:"minecraft:leather_helmet",Count:1b}]}
execute as @e[type=armor_stand,tag=closet2] run data merge entity @s {ArmorItems:[{id:"minecraft:leather_boots",Count:1b},{},{id:"minecraft:leather_chestplate",Count:1b},{id:"minecraft:leather_helmet",Count:1b}]}
data merge entity 98c24c10-fa5b-4f8c-a758-c98c101cd212 {Marker:1b}

execute if score difficulty escape matches 2..3 run setblock 8 17 82 air
execute if score difficulty escape matches 1 run setblock 8 17 82 minecraft:dark_oak_trapdoor
execute if score difficulty escape matches 3 run data merge block 7 17 83 {Text2:''}
execute if score difficulty escape matches 1..2 run data merge block 7 17 83 {Text2:'{"text":"<- Parkour!"}'}

execute if score difficulty escape matches 1 run summon minecraft:item_frame 12 7 79 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Items can be hidden under trapdoors.","italic":"false","color":"gray"}','{"text":"Take a look under the table!","color":"gray","italic":"false"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1 run summon minecraft:item_frame 23 7 81 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Trapdoors can also be used to cover barrels.","italic":"false","color":"gray"}','{"text":"Flip every trapdoor you see throughout the map...","italic":"false","color":"gray"}','{"text":"Just incase...","color":"gray","italic":"false"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1..3 run summon minecraft:item_frame 27 8 81 {Facing:2b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"This is the elevator. Unlock floors","italic":"false","color":"gray"}','{"text":"as you progress through the map!","italic":"false","color":"gray"}','{"text":"Floor 2 is where you\'ll respawn.","color":"gray","italic":"false"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame","golden_helmet"]}
execute if score difficulty escape matches 1..2 run summon minecraft:item_frame 15 12 76 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Green leather armor, or is that a","italic":"false","color":"gray"}','{"text":"place holder for turtle armor?","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
