execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: Dining Room! Find the ingredients for the potions and which brewing stand to put them in. There's also a memory clue for one of the items so watch out, take notes!","color":"aqua"}]
recipe take @a *
execute as @e[type=item_frame] at @s if entity @s[nbt={Item:{}}] run data merge entity @s {Tags:["item_framed"]}
clear @a #useless
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#potions
#advancement grant @a only escape:level2
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set music escape 1
scoreboard players set potions escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 3: Fine Dining","color":"gold"}]
setworldspawn 0 6 0

scoreboard players set stage memory 0
kill @e[type=area_effect_cloud,tag=lockedlevel3]
kill @e[x=-4,y=6,z=81,dx=10,dy=7,dz=19,type=item_frame]
kill @e[x=-4,y=6,z=81,dx=10,dy=7,dz=19,type=painting]
kill @e[x=-4,y=7,z=67,dx=9,dy=6,dz=12,type=painting]

fill 7 7 93 7 10 82 air replace minecraft:barrier
fill 6 7 82 6 9 83 air
fill -8 7 82 -7 9 82 air
fill 5 9 82 6 7 82 minecraft:spruce_trapdoor[open=true,facing=south]
clone -1 1 80 1 3 82 5 7 77
fill -7 7 83 -7 9 84 minecraft:spruce_trapdoor[open=true,facing=west]
fill -6 7 83 -6 8 84 minecraft:barrier

summon minecraft:painting 6 11 85 {Facing:1b,Invulnerable:1b,Motive: "minecraft:courbet"}
summon minecraft:painting 6 11 82 {Facing:1b,Invulnerable:1b,Motive: "minecraft:pool"}
summon minecraft:painting 5 11 71 {Facing:1b,Invulnerable:1b,Motive:"fighters"}
summon minecraft:painting -4 11 76 {Facing:3b,Invulnerable:1b,Motive:"minecraft:stage"}

#leaves
execute if score difficulty escape matches 1..2 run summon minecraft:item_frame 1 13 91 {Facing:1b,Tags:["item_frame"],Invulnerable:1b,Item:{id:"minecraft:magma_cream",Count:1b}}
#banner
execute if score difficulty escape matches 1..2 run summon minecraft:item_frame -4 7 97 {Facing:5b,Tags:["item_frame"],Invulnerable:1b,Item:{id:"minecraft:rabbit_foot",Count:1b}}
#window
execute if score difficulty escape matches 1..2 run data merge block 2 7 100 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:15b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1..2 run data merge block 1 7 100 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:14b,id:"minecraft:air",Count:1b},{Slot:15b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1..2 run data merge block 0 7 100 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:glistering_melon_slice",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
#cieling
execute if score difficulty escape matches 1..2 run data merge block 1 14 86 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:golden_carrot",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
#door
execute if score difficulty escape matches 1..2 run data merge block 6 7 80 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:4b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:14b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:nether_wart",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b}]}

#leaves
execute if score difficulty escape matches 3 run summon minecraft:item_frame 1 13 91 {Facing:1b,Tags:["item_frame"],Invulnerable:1b,Item:{id:"minecraft:redstone",Count:1b}}
#banner
execute if score difficulty escape matches 3 run summon minecraft:item_frame -4 7 97 {Facing:5b,Tags:["item_frame"],Invulnerable:1b,Item:{id:"minecraft:glowstone_dust",Count:1b}}
#window
execute if score difficulty escape matches 3 run data merge block 2 7 100 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 1 7 100 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:14b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 0 7 100 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:nether_wart",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
#cieling
execute if score difficulty escape matches 3 run data merge block 1 14 86 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:golden_carrot",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
#door
execute if score difficulty escape matches 3 run data merge block 6 7 80 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:cobweb",Count:1b},{Slot:14b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:glistering_melon_slice",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]}

fill -4 10 90 -4 10 88 stone
setblock 6 8 86 stone
setblock 6 8 85 potted_fern
setblock 5 11 79 minecraft:potted_allium
setblock 6 8 86 minecraft:brewing_stand{Items:[{Slot:2b,id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:weakness"}}]}

execute if score difficulty escape matches 1..2 run setblock -4 10 90 minecraft:brewing_stand{Items:[{Slot:2b,id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:leaping"}}]}
execute if score difficulty escape matches 1..2 run setblock -4 10 89 minecraft:brewing_stand{Items:[{Slot:0b,id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:healing"}}]}
execute if score difficulty escape matches 1..2 run setblock -4 10 88 minecraft:brewing_stand{Items:[{Slot:1b,id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:fire_resistance"}}]}
execute if score difficulty escape matches 3 run setblock -4 10 90 minecraft:brewing_stand{Items:[{Slot:2b,id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:mundane"}}]}
execute if score difficulty escape matches 3 run setblock -4 10 89 minecraft:brewing_stand{Items:[{Slot:0b,id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:thick"}}]}
execute if score difficulty escape matches 3 run setblock -4 10 88 minecraft:brewing_stand{Items:[{Slot:1b,id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:nether_wart"}}]}

#execute if score difficulty escape matches 1 run data merge block 1 7 99 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":" ","italic":"false","color":"gray"}','{"text":" ","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1 run summon minecraft:item_frame -3 8 99 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Check the windows for","italic":"false","color":"gray"}','{"text":"hidden barrels and item frames!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1..2 run summon minecraft:item_frame 2 7 89 {Facing:0b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Feel free to google potion","italic":"false","color":"gray"}','{"text":"recipes if you don\'t know them.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 3 run summon minecraft:item_frame 2 7 89 {Facing:0b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Minecraft trivia time!","italic":"false","color":"gray"}','{"text":"Glowstone = Thick Potion","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
