execute as @a[scores={zombie=1..}] at @s run give @s minecraft:zombie_head
execute as @a[scores={zombie=1..}] at @s run scoreboard players reset @a zombie

execute as @a[nbt={Dimension:"minecraft:the_end"}] at @s if block ~ ~-.1 ~ obsidian run tp @s ~ ~ ~ facing 0 62 0
execute as @a[nbt={Dimension:"minecraft:the_end"}] at @s if block ~ ~-.1 ~ obsidian run spreadplayers 0 0 5 20 false @s
execute in minecraft:the_end positioned 0 60 0 as @a[distance=40..,gamemode=adventure] at @s unless block ~ ~-.1 ~ obsidian run particle minecraft:dragon_breath ~ ~ ~ 1 4 1 0 90 force @a
execute in minecraft:the_end positioned 0 60 0 as @a[distance=40..,gamemode=adventure] at @s unless block ~ ~-.1 ~ obsidian run spreadplayers 0 0 10 20 false @s
execute in minecraft:the_end as @a at @s if block ~ ~-.1 ~ end_stone run effect give @s speed 1 5 true
execute in minecraft:the_end as @a at @s if block ~ ~-.1 ~ bedrock run effect give @s speed 1 5 true

execute in the_end run fill 3 59 3 -3 59 -3 air replace fire

execute as @a[nbt={Inventory:[{id:"minecraft:wither_rose",Count:1b}]}] at @s run scoreboard players add @s flowerfix 1
execute as @a at @s if score @s flowerfix matches 2.. run tellraw @a[nbt={Inventory:[{id:"minecraft:wither_rose",Count:1b}]}] ["",{"text":"The wither rose grew into a wither skeleton while in your hand!","color":"gray"}]
execute as @a at @s if score @s flowerfix matches 2.. run summon wither_skeleton 15 23 84 {HandItems:[{id:"minecraft:stone_sword",Count:1b},{}],Tags:["wither"]}
execute as @a at @s if score @s flowerfix matches 2.. run clear @s wither_rose
execute as @a at @s if score @s flowerfix matches 2.. run scoreboard players reset @s flowerfix

execute as @e[type=wither_skeleton,tag=wither] at @s if entity @s[nbt={HurtTime:10s}] run summon item ~ ~ ~ {Motion:[0.0d,0.5d,0.0d],Item:{id:"minecraft:wither_skeleton_skull",Count:1b}}
execute as @e[type=wither_skeleton,tag=wither] at @s if entity @s[nbt={HurtTime:10s}] run kill @s

execute in the_end run fill 0 61 0 0 61 0 cobblestone replace bedrock
execute in the_end run fill 1 58 3 2 58 -3 minecraft:cobblestone replace bedrock
execute in the_end run fill 3 58 1 -3 58 2 cobblestone replace bedrock
execute in the_end run fill -2 58 3 -1 58 -4 minecraft:cobblestone replace bedrock
execute in the_end run fill -3 58 -2 4 58 -1 minecraft:cobblestone replace bedrock
execute in the_end if entity @e[type=end_crystal] run effect give @a[nbt={Dimension:"minecraft:the_end"}] weakness 1 10 true
execute in the_end if entity @e[type=end_crystal] run effect give @a[nbt={Dimension:"minecraft:the_end"}] fire_resistance 1 10 true
execute in the_end run effect give @a[nbt={Dimension:"minecraft:the_end"}] resistance 1 10 true
execute in the_end as @e[type=end_crystal] at @s unless entity @e[type=ender_dragon] run data merge entity @s {Invulnerable:1b}
execute in the_end as @e[type=end_crystal] at @s if entity @e[type=ender_dragon] run data merge entity @s {Invulnerable:0b}
execute in the_end as @e[type=end_crystal] at @s if entity @e[type=ender_dragon] run fill ~ ~1 ~ ~ ~5 ~ air replace iron_bars
execute in the_end as @e[type=end_crystal] at @s if entity @e[type=ender_dragon] unless entity @e[type=arrow,distance=..8] run summon arrow ~ ~5 ~ {Motion:[0.0d,0.0d,0.0d]}
execute in the_end as @e[type=ender_dragon] at @s if entity @s[nbt={Health:200.0f}] run data merge entity @e[type=minecraft:ender_dragon,limit=1] {Health:0.1f}

execute as @a[advancements={minecraft:end/kill_dragon=true}] at @s run give @s dragon_head
execute as @a[advancements={minecraft:end/kill_dragon=true}] at @s run advancement revoke @s only end/kill_dragon

execute as @a[x=9,y=23,z=72,dx=3,dy=3,dz=6] at @s run title @s actionbar ["",{"text":"You will unlock this area next.","color":"red"}]
execute as @a[x=9,y=23,z=72,dx=3,dy=3,dz=6] at @s run tp @s 11.00 23 80

scoreboard players set heads unlock 0
execute as @e[type=item_frame,tag=steve] at @s if entity @s[nbt={Item:{id:"minecraft:player_head",Count:1b}}] run scoreboard players add heads unlock 1
execute as @e[type=item_frame,tag=dragon] at @s if entity @s[nbt={Item:{id:"minecraft:dragon_head",Count:1b}}] run scoreboard players add heads unlock 1
execute as @e[type=item_frame,tag=zombie] at @s if entity @s[nbt={Item:{id:"minecraft:zombie_head",Count:1b}}] run scoreboard players add heads unlock 1
execute as @e[type=item_frame,tag=creeper] at @s if entity @s[nbt={Item:{id:"minecraft:creeper_head",Count:1b}}] run scoreboard players add heads unlock 1
execute as @e[type=item_frame,tag=skeleton] at @s if entity @s[nbt={Item:{id:"minecraft:skeleton_skull",Count:1b}}] run scoreboard players add heads unlock 1
execute as @e[type=item_frame,tag=wither] at @s if entity @s[nbt={Item:{id:"minecraft:wither_skeleton_skull",Count:1b}}] run scoreboard players add heads unlock 1
execute if score heads unlock matches 6 run function escape:office/unlock

execute unless entity @e[tag=reflector] if block 3 25 83 potted_orange_tulip if block 1 26 83 minecraft:potted_orange_tulip unless score mirror unlock matches 1 run tag @a[x=-2,y=23,z=79,dx=8,dy=3,dz=4,limit=1,sort=random] add head
execute as @a[tag=head] at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run tag @s add reflector
execute as @a[tag=head] at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @s armor.head with player_head
execute as @a[tag=head] at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] if score difficulty escape matches 2 run tellraw @s ["",{"text":"Check yourself out in the mirror!","color":"gray"}]
execute as @a[tag=head] at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] if score difficulty escape matches 1 run tellraw @s ["",{"text":"Compare yourself to the mirrors reflection!","color":"aqua"}]
execute as @a[tag=head] at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run scoreboard players set mirror unlock 1
execute as @a[tag=head] at @s if entity @s[nbt={Inventory:[{Slot:103b}]}] run title @s actionbar "Psst... Empty your helmet slot".
execute as @a[tag=reflector] at @s run tag @s remove head

execute as @a[tag=reflector] at @s unless entity @s[x=-2,y=23,z=79,dx=8,dy=3,dz=4] if entity @e[tag=reflection] run kill @e[type=armor_stand,tag=reflection]
execute as @a[tag=reflector] at @s if entity @s[x=-2,y=23,z=79,dx=8,dy=3,dz=4] unless entity @e[tag=reflection] run summon armor_stand 7 23 75 {NoAI:1b,ShowArms:1b,NoBasePlate:1b,Tags:["reflection"],ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b}]}
execute as @a[tag=reflector] at @s store result score mirrorZ unlock run data get entity @s Pos[2]
execute as @a[tag=reflector] at @s anchored eyes run summon area_effect_cloud ^ ^-1 ^1 {Duration:1,Tags:["reflectorlookingat"]}
execute as @e[type=armor_stand,tag=reflection] if score mirrorZ unlock matches 79 at @s run tp @s ~ ~ 77
execute as @e[type=armor_stand,tag=reflection] if score mirrorZ unlock matches 80 at @s run tp @s ~ ~ 76
execute as @e[type=armor_stand,tag=reflection] if score mirrorZ unlock matches 81 at @s run tp @s ~ ~ 75
execute as @e[type=armor_stand,tag=reflection] if score mirrorZ unlock matches 82 at @s run tp @s ~ ~ 74
execute as @e[type=armor_stand,tag=reflection] if score mirrorZ unlock matches 83 at @s run tp @s ~ ~ 73
execute as @e[type=armor_stand,tag=reflection] at @s run tp @s ~ ~ ~ facing entity @e[tag=reflectorlookingat,limit=1,type=area_effect_cloud]
execute as @e[type=armor_stand,tag=reflection] run data modify entity @s Pos[0] set from entity @a[tag=reflector,limit=1] Pos[0]
execute as @e[type=armor_stand,tag=reflection] run data modify entity @s Pos[1] set from entity @a[tag=reflector,limit=1] Pos[1]
execute as @e[type=armor_stand,tag=reflection] run data modify entity @s Pose.Head[0] set from entity @a[tag=reflector,limit=1] Rotation[1]
execute as @e[type=armor_stand,tag=reflection] unless entity @a[tag=reflector,nbt={SelectedItem:{}}] run data merge entity @s {HandItems:[{},{}]}
execute as @e[type=armor_stand,tag=reflection] if entity @a[tag=reflector,nbt={SelectedItem:{}}] run data modify entity @s HandItems[1] set from entity @a[tag=reflector,limit=1] SelectedItem
execute if block 4 24 79 lever[powered=true] run setblock 4 24 77 lever[powered=true]
execute if block 4 24 79 lever[powered=false] run setblock 4 24 77 lever[powered=false]

execute if block -4 23 93 minecraft:lectern[has_book=true] run data merge block -4 23 93 {Book:{id:"minecraft:writable_book",Count:1b,tag:{pages:["Clue                                                 How does one get into the shower? Maybe it is closer than you think.                                                  Toggle sprint wont be needed this time.                                                  -------------------        Page 2 will            remove the book.","remove book"]}}}
execute if block 19 23 90 minecraft:lectern[has_book=true] run data merge block 19 23 90 {Book:{id:"minecraft:writable_book",Count:1b,tag:{pages:["Clue                                                   How do you respawn the ender dragon again?                                                Hold shift while jumping through paintings held by trapdoors!                                      -------------------        Page 2 will            remove the book.","remove book"]}}}
execute if block 14 23 99 minecraft:lectern[has_book=true] run data merge block 14 23 99 {Book:{id:"minecraft:writable_book",Count:1b,tag:{pages:["Clue                                                   Do mirrors reflect our world, or do we reflect theirs?                                                                                                                                                                                        -------------------        Page 2 will            remove the book.","remove book"]}}}
execute if block -4 23 93 lectern{Page:1} run summon item -4.5 23.85 93.5 {Item:{id:"minecraft:writable_book",Count:1b,tag:{CanPlaceOn:["lectern"]}}}
execute if block -4 23 93 lectern{Page:1} run setblock -4 23 93 lectern[has_book=false,facing=east]
execute if block 19 23 90 lectern{Page:1} run summon item 19.5 23.85 90.5 {Item:{id:"minecraft:writable_book",Count:1b,tag:{CanPlaceOn:["lectern"]}}}
execute if block 19 23 90 lectern{Page:1} run setblock 19 23 90 lectern[has_book=false]
execute if block 14 23 99 lectern{Page:1} run summon item 14.5 23.85 99.5 {Item:{id:"minecraft:writable_book",Count:1b,tag:{CanPlaceOn:["lectern"]}}}
execute if block 14 23 99 lectern{Page:1} run setblock 14 23 99 lectern[has_book=false,facing=east]

execute if score difficulty escape matches 1..2 as @a[nbt={SelectedItem:{id:"minecraft:cactus",Count:1b}}] unless entity @s[nbt={SelectedItem:{id:"minecraft:cactus",Count:1b,tag:{}}}] at @s run item replace entity @s weapon.mainhand with minecraft:cactus{Damage:10s,display:{Name:'{"text":"Cactus","color":"red","italic":"false"}'}}

execute if block 5 25 83 minecraft:stone_button[powered=true] if block 6 24 82 minecraft:oak_button[powered=true] run playsound minecraft:entity.drowned.ambient_water master @a 5 25 82
