execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: Search each barrel for an assortment of different items. Find all the items and kill all the spiders to complete the level!","color":"aqua"}]
recipe take @a *
clear @a #useless
data merge block 35 16 69 {CustomName:'{"text":"Input"}',Items:[]}
recipe give @a escape:minecart
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#advancement grant @a only escape:level8
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set bedroom escape 1
scoreboard players set attic escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 9: Attic","color":"gold"}]
recipe give @a minecraft:chest_minecart
recipe give @a minecraft:furnace_minecart
recipe give @a minecraft:tnt_minecart
recipe give @a minecraft:hopper_minecart
recipe give @a minecraft:minecart
recipe give @a minecraft:hopper
recipe give @a minecraft:chest
recipe give @a minecraft:furnace
recipe give @a minecraft:tnt
recipe give @a minecraft:iron_ingot_from_nuggets
recipe give @a escape:iron
kill @e[tag=atticHint]

kill @e[x=23,y=22,z=85,dx=17,dy=5,dz=17,type=item_frame]
kill @e[x=23,y=22,z=85,dx=17,dy=5,dz=17,type=painting]

fill 27 18 89 28 20 89 minecraft:ladder[facing=south]
setblock 27 18 89 air

summon minecraft:cave_spider 27 24 101 {Tags:["attic"],Motion:[0.0d,0.5d,-0.5d],Rotation:[180.0f,0.0f]}
scoreboard players reset spider unlock
summon minecraft:painting 28 24 98 {Facing:2b,Invulnerable:1b,Motive:"minecraft:stage"}
summon minecraft:painting 33 23 88 {Facing:1b,Invulnerable:1b,Motive:"minecraft:graham"}
summon minecraft:painting 33 24 97 {Facing:1b,Invulnerable:1b,Motive:"minecraft:wanderer"}

summon minecraft:item_frame 36 23 87 {Facing:4b,Invulnerable:1b,Tags:["item_frame"]}
summon minecraft:item_frame 36 23 88 {Facing:4b,Invulnerable:1b,Tags:["item_frame"]}
summon minecraft:item_frame 36 24 87 {Facing:4b,Invulnerable:1b,Tags:["item_frame"]}
summon minecraft:item_frame 36 24 88 {Facing:4b,Invulnerable:1b,Tags:["item_frame"]}
summon minecraft:item_frame 36 24 89 {Facing:4b,Invulnerable:1b,Tags:["item_frame"]}
summon minecraft:item_frame 35 24 96 {Facing:4b,Invulnerable:1b,Tags:["item_framed"],Item:{id:"minecraft:minecart",Count:1b}}
summon minecraft:item_frame 35 24 98 {Facing:4b,Invulnerable:1b,Tags:["item_framed"],Item:{id:"minecraft:iron_ingot",Count:1b}}
summon area_effect_cloud 28 22 92 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 23 22 86 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 23 23 85 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 23 22 94 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 24 22 98 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 23 22 95 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 33 22 91 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 24 22 94 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 23 23 98 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 26 22 92 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 30 22 94 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 31 22 89 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 31 22 90 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 33 22 85 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 34 23 85 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 23 23 90 {Duration:999999,Tags:["atticHint","barrel"]}
summon area_effect_cloud 28 22 98 {Duration:999999,Tags:["atticHint","barrel"]}

execute if score difficulty escape matches 1 run data merge block 28 22 98 {Items:[{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 28 22 92 {Items:[{Slot:2b,id:"minecraft:air",Count:1b},{Slot:4b,id:"minecraft:gunpowder",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 23 22 86 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:3b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:cobblestone",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:cobblestone",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:cobblestone",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 23 23 85 {Items:[{Slot:0b,id:"minecraft:oak_planks",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:gunpowder",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:oak_planks",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 23 22 94 {Items:[{Slot:2b,id:"minecraft:air",Count:1b},{Slot:3b,id:"minecraft:sand",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:cobblestone",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:oak_planks",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 24 22 98 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:sand",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:cobblestone",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:cobblestone",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 23 22 95 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:cobblestone",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 33 22 91 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:4b,id:"minecraft:oak_planks",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:oak_planks",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 24 22 94 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 23 23 98 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:4b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:oak_planks",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:oak_planks",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:14b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:oak_planks",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 26 22 92 {Items:[{Slot:2b,id:"minecraft:oak_planks",Count:1b},{Slot:4b,id:"minecraft:air",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:oak_planks",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 30 22 94 {Items:[{Slot:0b,id:"minecraft:cobblestone",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:14b,id:"minecraft:air",Count:1b},{Slot:15b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:sand",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 31 22 89 {Items:[{Slot:0b,id:"minecraft:sand",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:3b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 31 22 90 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:15b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 33 22 85 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:oak_planks",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:oak_planks",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 34 23 85 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 23 23 90 {Items:[{Slot:2b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:oak_planks",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 28 22 92 {Items:[{Slot:2b,id:"minecraft:air",Count:1b},{Slot:4b,id:"minecraft:gunpowder",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 23 22 86 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:3b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:cobblestone",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:cobblestone",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:cobblestone",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 23 23 85 {Items:[{Slot:0b,id:"minecraft:oak_planks",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:gunpowder",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:oak_planks",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 23 22 94 {Items:[{Slot:2b,id:"minecraft:air",Count:1b},{Slot:3b,id:"minecraft:sand",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:cobblestone",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:oak_planks",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 24 22 98 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:sand",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:cobblestone",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:cobblestone",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 23 22 95 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:cobblestone",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 33 22 91 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:4b,id:"minecraft:oak_planks",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:oak_planks",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 24 22 94 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 23 23 98 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:4b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:oak_planks",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:oak_planks",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:14b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:oak_planks",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 26 22 92 {Items:[{Slot:2b,id:"minecraft:oak_planks",Count:1b},{Slot:4b,id:"minecraft:air",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:oak_planks",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 30 22 94 {Items:[{Slot:0b,id:"minecraft:cobblestone",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:5b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:air",Count:1b},{Slot:14b,id:"minecraft:air",Count:1b},{Slot:15b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:sand",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 28 22 98 {Items:[{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:1b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 31 22 89 {Items:[{Slot:0b,id:"minecraft:sand",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:3b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:23b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 31 22 90 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:15b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 33 22 85 {Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:oak_planks",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:oak_planks",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 34 23 85 {Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:2b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 2 run data merge block 23 23 90 {Items:[{Slot:2b,id:"minecraft:air",Count:1b},{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:12b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:oak_planks",Count:1b},{Slot:17b,id:"minecraft:air",Count:1b},{Slot:18b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b},{Slot:22b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 28 22 92 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:gunpowder",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 23 22 86 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobblestone",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobblestone",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobblestone",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 23 23 85 {Items:[{Slot:0b,id:"minecraft:oak_planks",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:gunpowder",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:oak_planks",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 23 22 94 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:sand",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobblestone",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:oak_planks",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 24 22 98 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:sand",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobblestone",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobblestone",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 23 22 95 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:cobblestone",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 33 22 91 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:oak_planks",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:oak_planks",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 24 22 94 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 23 23 98 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:oak_planks",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:oak_planks",Count:1b},{Slot:13b,id:"minecraft:cobweb",Count:1b},{Slot:14b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:oak_planks",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 26 22 92 {Items:[{Slot:2b,id:"minecraft:oak_planks",Count:1b},{Slot:4b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:oak_planks",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 30 22 94 {Items:[{Slot:0b,id:"minecraft:cobblestone",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:cobweb",Count:1b},{Slot:14b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:sand",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 31 22 89 {Items:[{Slot:0b,id:"minecraft:sand",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 31 22 90 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:oak_planks",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 33 22 85 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:oak_planks",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:oak_planks",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 34 23 85 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 23 23 90 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:oak_planks",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 3 run data merge block 28 22 98 {Items:[{Slot:13b,id:"minecraft:gunpowder",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}

data merge block 28 23 91 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"All items you\'ll need will be","italic":"false","color":"gray"}','{"text":"found within barrels exclusively.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 27 23 85 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
data merge block 24 23 85 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 32 23 86 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
data merge block 33 23 90 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b}]}
data merge block 33 23 86 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b}]}
data merge block 23 22 93 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b}]}
data merge block 24 22 90 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:4b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 27 22 92 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
data merge block 33 22 95 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]}
data merge block 30 23 94 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
data merge block 32 22 87 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 2..3 run data merge block 33 24 86 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block 33 24 86 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Drop one of the clues found","italic":"false","color":"gray"}','{"text":"on this level for an extra hint!","italic":"false","color":"gray"}','{"text":"(Unlocked after all cave spiders are killed)","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b}]}
data merge block 29 22 86 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 29 23 86 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:cobweb",Count:1b},{Slot:14b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 23 24 85 {Items:[{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 29 24 98 {Items:[{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b}]}
data merge block 29 22 94 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]}
data merge block 30 22 95 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]}
data merge block 30 23 95 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:5b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:cobweb",Count:1b},{Slot:14b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:22b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 31 23 94 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 28 22 97 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 23 24 98 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 24 23 98 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 24 23 94 {Items:[{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:23b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block 23 23 95 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b}]}
