spawnpoint @a 33 8 75
execute as @a at @s run playsound minecraft:block.iron_door.open master @a 7 24 68
clear @a #useless
execute as @e[type=item_frame] at @s if entity @s[nbt={Item:{}}] run data merge entity @s {Tags:["item_framed"]}
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#advancement grant @a only escape:level11
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set office escape 1
scoreboard players set escape escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 12: Escape","color":"gold"}]

setblock 6 24 67 minecraft:iron_door[open=true,facing=east,hinge=left]
setblock 6 24 68 minecraft:iron_door[open=true,facing=east,hinge=right]

tellraw @a ["",{"text":"Take the quickest route outside of the house!","color":"gold"}]
title @a actionbar ["",{"text":"A locked room has been opened!","color":"gray"}]
scoreboard players set escape unlock 1200
bossbar set escape:time max 1200
bossbar set escape:time players @a

spawnpoint @a 16 4 31
setworldspawn 16 4 31

execute store result score players unlock if entity @a

clone 24 1 98 24 2 97 6 24 67

#games
fill 37 14 95 41 21 100 minecraft:structure_void replace barrier

#hallway
fill 3 18 103 5 18 103 air replace minecraft:barrier
fill 21 17 102 15 18 102 air replace minecraft:light_gray_stained_glass_pane
fill -6 17 97 -6 18 96 air

fill 2 19 63 -2 18 62 minecraft:structure_void replace minecraft:barrier
fill -8 19 70 -8 19 67 air
fill -21 19 73 -7 18 73 air

#bedroom
fill 33 17 63 29 17 63 air replace iron_bars
fill 36 12 81 36 13 80 air

#flower house
fill 21 6 115 21 8 115 air

#topfloor
fill -2 24 102 -3 26 102 air
fill 20 24 102 19 26 102 air

#lock front door
execute if score difficulty escape matches 2..3 run fill 15 7 74 17 10 74 barrier replace air
execute if score difficulty escape matches 1 run fill 15 7 74 17 10 74 air replace barrier
execute if score difficulty escape matches 1 run setblock 16 6 74 minecraft:grass_block

#potions
fill -5 8 69 -5 9 69 air
fill -5 7 96 -5 8 96 air
fill 0 9 100 2 8 100 air

execute if score difficulty escape matches 1..2 run fill 15 24 64 17 25 64 air
execute if score difficulty escape matches 1..2 run fill 10 24 102 11 26 102 air
execute if score difficulty escape matches 1..2 run fill -7 24 90 -7 26 91 air