execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: Welcome to the greenhouse! Look for 4 tulips and where to put them! This level will also require a slight amount of parkour. Good Luck!","color":"aqua"}]
recipe take @a *
clear @a #useless
clear @a allium
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#flowers
#advancement grant @a only escape:level3
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set potions escape 1
scoreboard players set flower escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 4: Greenhouse","color":"gold"}]

fill 21 7 100 21 9 100 air
fill 22 9 101 22 7 101 minecraft:light_gray_stained_glass_pane
fill 20 9 101 20 7 101 minecraft:light_gray_stained_glass_pane

kill @e[type=minecraft:item_frame,x=10,y=6,z=101,dx=21,dy=9,dz=15]

fill 19 7 106 19 9 106 minecraft:air
execute if score difficulty escape matches 1 run fill 19 7 106 19 9 106 minecraft:ladder[facing=west]
execute if score difficulty escape matches 3 run setblock 14 10 101 dark_oak_planks
execute if score difficulty escape matches 1..2 run setblock 14 10 101 dark_oak_stairs[facing=east,half=top]
execute if score difficulty escape matches 1..2 run setblock 14 8 101 minecraft:spruce_trapdoor[facing=west,half=bottom,open=false,powered=false,waterlogged=false]
execute if score difficulty escape matches 3 run setblock 14 8 101 minecraft:spruce_trapdoor[facing=west,half=bottom,open=true,powered=false,waterlogged=false]

execute if score difficulty escape matches 1 run summon minecraft:item_frame 21 10 104 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Look up!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}

fill 12 0 101 30 15 115 air replace minecraft:potted_fern
fill 12 0 101 30 15 115 air replace minecraft:potted_allium
fill 12 0 101 30 15 115 air replace minecraft:potted_azure_bluet
fill 12 0 101 30 15 115 air replace minecraft:potted_cornflower
fill 12 0 101 30 15 115 air replace minecraft:potted_dandelion
fill 12 0 101 30 15 115 air replace minecraft:potted_lily_of_the_valley
fill 12 0 101 30 15 115 air replace minecraft:potted_oxeye_daisy
fill 12 0 101 30 15 115 air replace minecraft:potted_poppy
fill 12 0 101 30 15 115 air replace minecraft:potted_red_tulip
fill 12 0 101 30 15 115 air replace minecraft:potted_orange_tulip
fill 12 0 101 30 15 115 air replace minecraft:potted_white_tulip
fill 12 0 101 30 15 115 air replace minecraft:potted_pink_tulip

setblock 13 7 101 minecraft:potted_fern
setblock 13 6 103 minecraft:potted_lily_of_the_valley
setblock 15 6 105 minecraft:potted_azure_bluet
setblock 15 7 102 minecraft:potted_cornflower
setblock 15 9 101 minecraft:potted_lily_of_the_valley
setblock 16 9 101 minecraft:potted_azure_bluet
setblock 16 7 101 minecraft:potted_poppy
setblock 17 7 102 minecraft:potted_allium
setblock 16 7 106 minecraft:potted_blue_orchid
setblock 17 7 106 minecraft:potted_oxeye_daisy
setblock 17 6 103 minecraft:potted_dandelion

setblock 30 7 101 minecraft:potted_dandelion
setblock 29 9 101 minecraft:potted_cornflower
setblock 29 6 105 minecraft:potted_poppy
setblock 27 7 103 minecraft:potted_fern
setblock 27 7 106 minecraft:potted_lily_of_the_valley
setblock 26 9 106 minecraft:potted_oxeye_daisy
setblock 26 7 102 minecraft:potted_azure_bluet
setblock 25 7 101 minecraft:potted_azure_bluet
setblock 25 7 102 minecraft:potted_poppy
setblock 25 6 105 minecraft:potted_lily_of_the_valley

setblock 22 10 104 minecraft:potted_fern
setblock 20 10 106 minecraft:potted_fern
setblock 20 7 105 minecraft:potted_cornflower
setblock 22 7 106 minecraft:potted_oxeye_daisy
setblock 21 7 107 minecraft:potted_dandelion
setblock 21 10 112 minecraft:potted_poppy
setblock 20 10 110 minecraft:potted_fern
setblock 22 10 110 minecraft:potted_oxeye_daisy
setblock 21 7 112 minecraft:potted_fern
setblock 20 7 111 minecraft:potted_blue_orchid
setblock 21 7 110 minecraft:potted_oxeye_daisy
setblock 22 7 110 minecraft:potted_azure_bluet

setblock 23 3 108 minecraft:potted_fern
setblock 21 2 103 minecraft:potted_fern
setblock 19 4 101 minecraft:potted_fern
setblock 21 4 101 minecraft:potted_fern
setblock 16 3 106 minecraft:potted_fern
fill 23 3 105 23 3 102 minecraft:flower_pot replace

setblock 19 11 110 minecraft:potted_red_tulip
setblock 21 15 102 minecraft:potted_orange_tulip
setblock 10 7 101 minecraft:potted_white_tulip
data merge block 13 3 104 {Items:[{Slot:13b,id:"minecraft:pink_tulip",Count:1b}]}
data merge block 21 1 111 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"This water helps the flowers grow.","italic":"false","color":"gray"}','{"text":"What else could they be hiding?","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1..2 run data merge block 21 6 106 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Remember to keep an","italic":"false","color":"gray"}','{"text":"eye out for tulips.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 3 run data merge block 21 6 106 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"What small flower type","italic":"false","color":"gray"}','{"text":"has four variations?","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1 run data merge block 12 4 104 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Close! There\'s another","italic":"false","color":"gray"}','{"text":"barrel in here!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 2..3 run data merge block 30 6 101 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"The nearby leaves","italic":"false","color":"gray"}','{"text":"could be a hidden path.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1..2 run data merge block 12 6 101 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Can you see the white tulip?","italic":"false","color":"gray"}','{"text":"Might get a better view of it from up high.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}

setblock 14 6 101 minecraft:spruce_trapdoor[facing=west,half=top,open=true]
setblock 15 6 101 minecraft:spruce_trapdoor[facing=south,half=top,open=false]
fill 16 6 102 17 6 102 minecraft:spruce_trapdoor[facing=south,half=top,open=false]