execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: Don\'t go up those stairs yet! Find your way back to the top of the first staircase you used, or use the elevator to the third floor! When you get there you\'ll be looking for four of Minecraft\'s roundest items. You may need to get crafty","color":"aqua"}]
recipe take @a *
clear @a #useless
execute as @e[type=item_frame] at @s if entity @s[nbt={Item:{}}] run data merge entity @s {Tags:["item_framed"]}
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#games
#advancement grant @a only escape:level6
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set hallway escape 1
scoreboard players set games escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 7: Games Room","color":"gold"}]
recipe give @a minecraft:magma_cream
recipe give @a minecraft:ender_eye
recipe give @a minecraft:blaze_powder

fill 19 16 88 19 18 87 air replace spruce_trapdoor

kill @e[x=19,y=15,z=86,dx=6,dy=4,dz=16,type=painting]
kill @e[x=26,y=15,z=64,dx=14,dy=5,dz=40,type=item_frame]
kill @e[x=26,y=15,z=64,dx=12,dy=5,dz=40,type=painting]

summon minecraft:painting 24 18 100 {Facing:2b,Invulnerable:1b,Motive:"minecraft:wither"}
summon minecraft:painting 21 17 86 {Facing:0b,Invulnerable:1b,Motive:"minecraft:skull_and_roses"}
summon minecraft:painting 29 18 74 {Facing:2b,Invulnerable:1b,Motive:"minecraft:wanderer"}
summon minecraft:painting 35 17 72 {Facing:1b,Invulnerable:1b,Motive:"minecraft:wither"}
execute if score difficulty escape matches 3 run summon minecraft:painting 30 17 85 {Facing:3b,Invulnerable:1b,Motive:"minecraft:void"}
execute if score difficulty escape matches 1..2 run summon minecraft:painting 30 17 84 {Facing:3b,Invulnerable:1b,Motive:"minecraft:graham"}
summon minecraft:painting 28 17 84 {Facing:1b,Invulnerable:1b,Motive:"minecraft:graham"}
summon minecraft:painting 34 17 89 {Facing:1b,Invulnerable:1b,Motive:"minecraft:courbet"}
summon minecraft:painting 30 17 93 {Facing:3b,Invulnerable:1b,Motive:"minecraft:wither"}
summon minecraft:painting 26 18 92 {Facing:0b,Invulnerable:1b,Motive:"minecraft:stage"}
execute if score difficulty escape matches 1..2 run setblock 30 18 85 cobweb
execute if score difficulty escape matches 3 run setblock 30 18 85 air

execute if score difficulty escape matches 1 run setblock 23 16 95 air
execute if score difficulty escape matches 2..3 run setblock 23 16 95 minecraft:spruce_wall_sign[facing=north]

fill 19 16 87 19 18 88 air
setblock 22 17 86 minecraft:potted_cornflower
setblock 20 17 101 minecraft:potted_jungle_sapling
setblock 19 18 99 minecraft:flower_pot
setblock 34 19 94 minecraft:potted_cornflower
setblock 34 18 87 minecraft:flower_pot
setblock 34 18 82 minecraft:potted_cornflower
setblock 34 17 80 minecraft:potted_fern
setblock 35 18 77 minecraft:potted_red_tulip
setblock 31 17 77 minecraft:potted_fern
setblock 34 17 68 minecraft:potted_poppy
setblock 35 17 73 minecraft:potted_lily_of_the_valley
setblock 28 18 67 minecraft:potted_fern
setblock 27 17 69 minecraft:potted_cornflower
setblock 27 19 74 minecraft:potted_fern
setblock 29 20 72 minecraft:potted_fern

#attic
fill 28 17 89 27 19 89 air
fill 28 20 88 27 20 89 minecraft:dark_oak_planks

execute if score difficulty escape matches 3 run data merge block 23 16 96 {Items:[{Slot:10b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:11b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:12b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:13b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:14b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:15b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:16b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}}]}
execute if score difficulty escape matches 2 run data merge block 23 16 96 {Items:[{Slot:10b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Wow! It\'s so cold in here!","color":"gray","italic":"false"}','{"text":"Make sure all the windows are closed!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:11b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Sticky item next to a sticky painting!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:12b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Why hide things behind curtains?","color":"gray","italic":"false"}','{"text":"We can all see it!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:13b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Are there any more hidden barrels nearby?","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:14b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Is that skull looking at you funny too?","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:15b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Someone\'s aim was really bad!","color":"gray","italic":"false"}','{"text":"Maybe you\'ll do better.","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:16b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"How do you find the stronghold?","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}}]}
execute if score difficulty escape matches 1 run data merge block 23 16 96 {Items:[{Slot:10b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"See if any windows are open!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:11b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Look for a painting with something sticky.","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:12b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Remember, item frames can","color":"gray","italic":"false"}','{"text":"be hidden behind banners!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:13b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Grab some pool cues on","color":"gray","italic":"false"}','{"text":"the other side of the table!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:14b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"That wither painting seems suspicious!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:15b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"Play some darts! It\'ll be fun!","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}},{Slot:16b,id:"minecraft:stick",Count:1b,tag:{display:{Lore:['{"text":"How do you find the stronghold?","color":"gray","italic":"false"}'],Name:'{"text":"Pool Clue"}'}}}]}

data merge block 23 16 98 {Items:[{Slot:10b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:11b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:12b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:13b,id:"minecraft:heart_of_the_sea",Count:1b},{Slot:14b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:15b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}},{Slot:16b,id:"minecraft:stick",Count:1b,tag:{RepairCost:0,display:{Name:'{"text":"Pool Cue"}'}}}]}
data merge block 24 18 102 {Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:crossbow",Count:1b,tag:{Enchantments:[{id:"piercing",lvl:1s}],Unbreakable:1b,Damage:0,HideFlags:63,display:{Name:'{"text":"Hand","italic":"false"}'}}},{Slot:14b,id:"minecraft:arrow",Count:1b,tag:{display:{Name:'{"text":"Dart","italic":"false"}'}}},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}

summon item_frame 28 18 93 {Facing:4b,Invulnerable:1b,Tags:["item_frame","heart"]}
summon item_frame 28 19 93 {Facing:4b,Invulnerable:1b,Tags:["item_frame","snow"]}
summon item_frame 28 18 94 {Facing:4b,Invulnerable:1b,Tags:["item_frame","eye"]}
summon item_frame 28 19 94 {Facing:4b,Invulnerable:1b,Tags:["item_frame","magma"]}

summon item_frame 37 15 96 {Facing:5b,Invulnerable:1b,Tags:["item_frame"],Item:{id:"minecraft:snowball",Count:1b}}
summon item_frame 28 16 84 {Facing:1b,Invulnerable:1b,Tags:["item_frame"],Item:{id:"minecraft:slime_ball",Count:1b}}
summon item_frame 35 17 78 {Facing:4b,Invulnerable:1b,Tags:["item_frame"],Item:{id:"minecraft:ender_pearl",Count:1b}}