execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: Welcome to the Second Floor, you're making good progress, half way there! Here you're looking for 4 coral plants and a code. Prepare yourself too for this level has custom recipes!","color":"aqua"}]
recipe take @a *
clear @a #useless
execute as @e[type=item_frame] at @s if entity @s[nbt={Item:{}}] run data merge entity @s {Tags:["item_framed"]}
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#hallway
#advancement grant @a only escape:level5
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set kitchen escape 1
scoreboard players set hallway escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 6: Upstairs Hallway","color":"gold"}]
recipe give @a escape:fire_coral
recipe give @a escape:horn_coral
recipe give @a minecraft:fire_charge
recipe give @a minecraft:flint_and_steel
recipe give @a minecraft:blaze_powder
recipe give @a minecraft:yellow_dye_from_dandelion

kill @e[x=-6,y=15,z=85,dx=24,dy=7,dz=18,type=item_frame]
kill @e[x=-6,y=15,z=85,dx=24,dy=7,dz=18,type=painting]
kill @e[x=-6,y=16,z=64,dx=12,dy=6,dz=20,type=item_frame]
kill @e[x=-6,y=16,z=64,dx=12,dy=6,dz=20,type=painting]

fill 19 16 88 19 18 87 minecraft:spruce_trapdoor[open=true,facing=east]
setblock 5 19 69 potted_fern
setblock -2 21 67 minecraft:potted_fern
setblock -3 17 67 minecraft:potted_pink_tulip
setblock 1 20 79 minecraft:potted_fern
setblock 5 19 74 minecraft:flower_pot
setblock 5 17 89 minecraft:flower_pot
setblock 2 17 87 minecraft:potted_dandelion
setblock 5 19 93 minecraft:potted_fern
setblock 10 17 99 minecraft:potted_cornflower
setblock 8 17 90 minecraft:flower_pot
setblock 8 19 93 minecraft:potted_fern
setblock 11 20 93 minecraft:flower_pot
setblock 10 17 99 minecraft:potted_cornflower
setblock 17 17 100 minecraft:potted_fern
setblock 14 17 89 minecraft:flower_pot
setblock 17 18 86 minecraft:flower_pot

summon minecraft:painting 17 17 94 {Facing:1b,Invulnerable:1b,Motive:"minecraft:wanderer"}
summon minecraft:painting 10 17 99 {Facing:2b,Invulnerable:1b,Motive:"minecraft:void"}
summon minecraft:painting 11 17 95 {Facing:0b,Invulnerable:1b,Motive:"minecraft:wanderer"}
summon minecraft:painting 7 17 95 {Facing:0b,Invulnerable:1b,Motive:"minecraft:graham"}
summon minecraft:painting 2 17 88 {Facing:3b,Invulnerable:1b,Motive: "minecraft:void"}
summon minecraft:painting 5 18 76 {Facing:1b,Invulnerable:1b,Motive: "minecraft:void"}
summon minecraft:painting -4 19 70 {Facing:3b,Invulnerable:1b,Motive: "minecraft:void"}
summon minecraft:painting -0 19 79 {Facing:2b,Invulnerable:1b,Motive: "minecraft:graham"}
summon minecraft:painting 1 19 91 {Facing:1b,Invulnerable:1b,Motive: "minecraft:skull_and_roses"}
summon minecraft:painting -1 18 79 {Facing:2b,Invulnerable:1b,Motive:"minecraft:graham"}

summon minecraft:item_frame -1 17 90 {Facing:3b,Invulnerable:1b,Tags:["item_frame","fire"]}
summon minecraft:item_frame -1 18 90 {Facing:3b,Invulnerable:1b,Tags:["item_frame","tube"]}
summon minecraft:item_frame 0 17 90 {Facing:3b,Invulnerable:1b,Tags:["item_frame","horn"]}
summon minecraft:item_frame 0 18 90 {Facing:3b,Invulnerable:1b,Tags:["item_frame","bubble"]}

summon minecraft:item_frame 11 17 90 {Facing:4b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:white_wool",Count:1b},Tags:["item_framed"]}

summon minecraft:item_frame 6 17 68 {Facing:0b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:iron_ingot",Count:1b},Tags:["item_frame"]}
summon minecraft:item_frame 0 17 100 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flint",Count:1b},Tags:["item_frame"]}
summon minecraft:item_frame 10 20 93 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:coal",Count:1b},Tags:["item_frame"]}
summon minecraft:item_frame 0 19 65 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:gunpowder",Count:1b},Tags:["item_frame"]}
summon minecraft:item_frame 0 16 83 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:tube_coral",Count:1b},Tags:["item_frame"]}

summon minecraft:item_frame -2 19 83 {Facing:5b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:fire_coral",Count:1b},Tags:["item_framed"]}
summon minecraft:item_frame 1 19 82 {Facing:4b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:fire_charge",Count:1b},Tags:["item_framed"]}
summon minecraft:item_frame 1 19 83 {Facing:4b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:dead_fire_coral",Count:1b},Tags:["item_framed"]}
summon minecraft:item_frame 1 19 84 {Facing:4b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flint_and_steel",Count:1b},Tags:["item_framed"]}

summon minecraft:item_frame 10 18 101 {Facing:2b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:horn_coral",Count:1b},Tags:["item_framed"]}
summon minecraft:item_frame 11 20 101 {Facing:2b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:nautilus_shell",Count:1b},Tags:["item_framed"]}
summon minecraft:item_frame 10 20 101 {Facing:2b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:bone",Count:1b},Tags:["item_framed"]}
summon minecraft:item_frame 09 20 101 {Facing:2b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:yellow_dye",Count:1b},Tags:["item_framed"]}

summon minecraft:item_frame 10 15 88 {Facing:4b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:bubble_coral",Count:1b},Tags:["item_frame"]}
summon minecraft:item_frame 8 17 92 {Facing:5b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:nautilus_shell",Count:1b},Tags:["item_frame"]}

data merge block 12 17 100 {Items:[{Slot:12b,id:"minecraft:blaze_rod",Count:1b},{Slot:14b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Custom recipes were added","italic":"false","color":"gray"}','{"text":"just for this level!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 2..3 run data merge block -1 17 88 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:brain_coral",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 1 run data merge block -1 17 88 {Items:[{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:3b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:brain_coral",Count:1b,tag:{display:{Name:'{"text":"Brain Coral","color":"red","italic":"false"}'}}},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}
data merge block -6 19 70 {Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:bone",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:17b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]}

setblock 3 17 83 minecraft:potted_poppy
setblock 0 16 89 minecraft:spruce_trapdoor[facing=north,half=top,open=true]
setblock 0 16 90 minecraft:spruce_trapdoor[facing=west,half=top,open=false]

execute as @e[type=armor_stand,tag=closet0] run data merge entity @s {ArmorItems:[{id:"minecraft:leather_boots",Count:1b},{},{},{id:"minecraft:leather_helmet",Count:1b}]}
execute as @e[type=armor_stand,tag=closet1] run data merge entity @s {ArmorItems:[{id:"minecraft:leather_boots",Count:1b},{id:"minecraft:leather_leggings",Count:1b},{},{id:"minecraft:leather_helmet",Count:1b}]}
execute as @e[type=armor_stand,tag=closet2] run data merge entity @s {ArmorItems:[{id:"minecraft:leather_boots",Count:1b},{},{id:"minecraft:leather_chestplate",Count:1b},{id:"minecraft:leather_helmet",Count:1b}]}
execute as @e[type=armor_stand,tag=closet2a] run data merge entity @s {ArmorItems:[{},{},{id:"minecraft:leather_chestplate",Count:1b},{id:"minecraft:leather_helmet",Count:1b}]}

data merge block -4 18 84 {Items:[{Slot:3b,id:"minecraft:blue_wool",Count:1b,tag:{display:{Name:'{"text":"Remember this code!","italic":"false"}'}}},{Slot:5b,id:"minecraft:purple_wool",Count:1b,tag:{display:{Name:'{"text":"Remember this code!","italic":"false"}'}}},{Slot:21b,id:"minecraft:red_wool",Count:1b,tag:{display:{Name:'{"text":"Remember this code!","italic":"false"}'}}},{Slot:23b,id:"minecraft:yellow_wool",Count:1b,tag:{display:{Name:'{"text":"Remember this code!","italic":"false"}'}}}]}

data merge block -3 16 78 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Check the windows,","italic":"false","color":"gray"}','{"text":"balcony, & closets.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1 run data merge block -1 16 90 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"These item frames above the chest","italic":"false","color":"gray"}','{"text":"are for the coral once you find them. But,","color":"gray","italic":"false"}','{"text":"you\'ll need to find the order to place them in!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 1..2 run data merge block 1 17 93 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Remember to check the trapdoors!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}

scoreboard players reset bath unlock 
setblock 8 17 87 lever[powered=false,facing=east]

execute if score difficulty escape matches 1 run summon minecraft:item_frame 17 17 99 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Be sure to check the windows,","italic":"false","color":"gray"}','{"text":"balconies, and closets!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1 run summon minecraft:item_frame 5 17 90 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Remember to check paintings,","italic":"false","color":"gray"}','{"text":"for new information!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1..2 run summon minecraft:item_frame -2 19 67 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Do you feel the wind?","italic":"false","color":"gray"}','{"text":"Must be coming from that open window.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1..2 run summon minecraft:item_frame 1 19 91 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"When going through a closet for clues,","italic":"false","color":"gray"}','{"text":"take the armor stands clothes off for a better look!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}

#execute if score difficulty escape matches 2..3 run fill -1 17 89 0 18 89 minecraft:stripped_spruce_log[axis=y]
#execute if score difficulty escape matches 1 run setblock -1 17 89 red_wool
#execute if score difficulty escape matches 1 run setblock -1 18 89 blue_wool
#execute if score difficulty escape matches 1 run setblock 0 17 89 yellow_wool
#execute if score difficulty escape matches 1 run setblock 0 18 89 purple_wool