execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: You completed the first level! Only 11 more to go! Here you're looking for 4 colored music discs as well as where to put them. Similar to the previous level.","color":"aqua"}]
recipe take @a *
clear @a #useless
execute as @e[type=item_frame] at @s if entity @s[nbt={Item:{}}] run data merge entity @s {Tags:["item_framed"]}
effect give @a minecraft:instant_health 1 10 true
#music
#advancement grant @a only escape:level1
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set enterance escape 1
scoreboard players set music escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 2: Living Area","color":"gold"}]
kill @e[type=arrow]

setworldspawn 23 7 89
kill @e[type=painting,x=8,y=6,z=86,dx=20,dy=7,dz=13]
kill @e[type=item_frame,x=8,y=6,z=86,dx=20,dy=7,dz=13]
kill @e[type=item_frame,x=31,y=6,z=96,dx=3,dy=3,dz=3]

fill 21 7 86 22 9 86 air
fill 12 7 86 11 9 86 air
fill 11 9 87 11 7 86 minecraft:spruce_trapdoor[facing=east,open=true]
fill 22 9 87 22 7 86 minecraft:spruce_trapdoor[facing=west,open=true]
fill 22 7 100 20 9 100 minecraft:light_gray_stained_glass_pane[east=true,west=true]
setblock 21 8 100 minecraft:gray_stained_glass_pane[east=true,west=true]

fill 28 7 97 28 9 99 minecraft:bookshelf
fill 28 9 99 28 7 99 air
fill 7 7 93 7 10 89 barrier replace air

setblock 10 7 101 minecraft:potted_white_tulip
setblock 19 8 86 minecraft:potted_cornflower
setblock 9 7 96 stone
setblock 9 7 96 minecraft:brewing_stand{Items:[{Slot:3b,id:"minecraft:music_disc_chirp",Count:1b,tag:{CanPlaceOn:["jukebox"]}}]} replace
setblock 27 7 89 minecraft:lectern[facing=west]

setblock 25 11 84 stone
setblock 25 11 84 minecraft:barrel[facing=south,open=false]{Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:2b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:12b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:music_disc_far",Count:1b,tag:{CanPlaceOn:["jukebox"]}},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:18b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]} replace
setblock 8 7 86 stone
execute if score difficulty escape matches 1 run setblock 8 7 86 minecraft:barrel[facing=south,open=false]{Items:[{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:compass",Count:1b,tag:{CanPlaceOn:["jukebox"],RepairCost:0,display:{Lore:['{"text":"Where\'s it pointing to?","italic":"false","color":"gray"}','{"text":"(Keep an eye on the floor)","italic":"true","color":"gray"}'],Name:'{"text":"Music Disc","italic":"false"}'}}},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]} replace
execute if score difficulty escape matches 2 run setblock 8 7 86 minecraft:barrel[facing=south,open=false]{Items:[{Slot:6b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:compass",Count:1b,tag:{CanPlaceOn:["jukebox"],RepairCost:0,display:{Lore:['{"text":"Where\'s it pointing to?","italic":"false","color":"gray"}'],Name:'{"text":"Music Disc","italic":"false"}'}}},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:26b,id:"minecraft:air",Count:1b}]} replace
execute if score difficulty escape matches 3 run setblock 8 7 86 minecraft:barrel[facing=south,open=false]{Items:[{Slot:6b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:compass",Count:1b,tag:{CanPlaceOn:["jukebox"],RepairCost:0,display:{Name:'{"text":"Music Disc","italic":"false"}'}}},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:26b,id:"minecraft:cobweb",Count:1b}]} replace
setblock 17 14 94 stone
execute if score difficulty escape matches 3 run setblock 17 14 94 minecraft:barrel[facing=down,open=false]{Items:[{Slot:1b,id:"minecraft:cobweb",Count:1b},{Slot:7b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:music_disc_wait",Count:1b,tag:{CanPlaceOn:["jukebox"]}},{Slot:15b,id:"minecraft:cobweb",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:19b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:21b,id:"minecraft:cobweb",Count:1b}]}
execute if score difficulty escape matches 1..2 run setblock 17 14 94 minecraft:barrel[facing=down,open=false]{Items:[{Slot:1b,id:"minecraft:air",Count:1b},{Slot:7b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:music_disc_wait",Count:1b,tag:{CanPlaceOn:["jukebox"]}},{Slot:15b,id:"minecraft:air",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:19b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:21b,id:"minecraft:air",Count:1b}]}
setblock 27 7 84 stone
execute if score difficulty escape matches 1..2 run setblock 27 7 84 minecraft:chest[facing=south,type=single]{Items:[{Slot:0b,id:"minecraft:air",Count:1b},{Slot:8b,id:"minecraft:air",Count:1b},{Slot:9b,id:"minecraft:air",Count:1b},{Slot:10b,id:"minecraft:air",Count:1b},{Slot:11b,id:"minecraft:air",Count:1b},{Slot:13b,id:"minecraft:music_disc_13",Count:1b},{Slot:16b,id:"minecraft:air",Count:1b},{Slot:20b,id:"minecraft:air",Count:1b},{Slot:24b,id:"minecraft:air",Count:1b},{Slot:25b,id:"minecraft:air",Count:1b}]}
execute if score difficulty escape matches 3 run setblock 27 7 84 minecraft:chest[facing=south,type=single]{Items:[{Slot:0b,id:"minecraft:cobweb",Count:1b},{Slot:8b,id:"minecraft:cobweb",Count:1b},{Slot:9b,id:"minecraft:cobweb",Count:1b},{Slot:10b,id:"minecraft:cobweb",Count:1b},{Slot:11b,id:"minecraft:cobweb",Count:1b},{Slot:13b,id:"minecraft:music_disc_13",Count:1b},{Slot:16b,id:"minecraft:cobweb",Count:1b},{Slot:20b,id:"minecraft:cobweb",Count:1b},{Slot:24b,id:"minecraft:cobweb",Count:1b},{Slot:25b,id:"minecraft:cobweb",Count:1b}]}
fill 27 7 85 27 8 85 minecraft:dark_oak_stairs
fill 28 7 85 28 8 85 minecraft:dark_oak_planks

summon minecraft:painting 24 11 86 {Facing:0b,Invulnerable:1b,Motive:"minecraft:pigscene"}
summon minecraft:painting 16 10 87 {Facing:0b,Invulnerable:1b,Motive:"minecraft:match"}
summon minecraft:painting 8 10 97 {Facing:3b,Invulnerable:1b,Motive:"minecraft:wasteland"}
summon minecraft:painting 17 10 99 {Facing:2b,Invulnerable:1b,Motive:"minecraft:sunset"}
summon minecraft:painting 26 10 99 {Facing:2b,Invulnerable:1b,Motive:"minecraft:pool"}
summon minecraft:item_frame 10 8 99 {Tags:["item_frame"],Facing:2b,Invulnerable:1b,Item:{id:"minecraft:writable_book",Count:1b,tag:{CanPlaceOn:["lectern"],pages:["                    Where's that compass pointing to?                                                                       How do you even get music discs in minecraft.                                                                                               Pigstep coming soon."]}}}
summon minecraft:painting 28 11 92 {Facing:1b,Invulnerable:1b,Motive:"minecraft:pointer"}

summon item_frame 31 8 96 {Facing:3b,Invulnerable:1b,Tags:["chirp","item_frame"],Item:{id:""}}
summon item_frame 34 8 96 {Facing:3b,Invulnerable:1b,Tags:["wait","item_frame"],Item:{id:""}}
summon item_frame 34 8 99 {Facing:2b,Invulnerable:1b,Tags:["13","item_frame"],Item:{id:""}}
summon item_frame 31 8 99 {Facing:2b,Invulnerable:1b,Tags:["far","item_frame"],Item:{id:""}}

setblock 28 7 94 minecraft:creeper_head[rotation=14]
setblock 28 5 94 stone
setblock 28 6 94 minecraft:piston[facing=up]
setblock 28 8 94 air

execute if score difficulty escape matches 1 run data merge block 26 8 99 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Remember the clues from previous levels!","italic":"false","color":"gray"}','{"text":"Some stay true throughout the map.","italic":"false","color":"gray"}','{"text":"(Paintings)","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}
execute if score difficulty escape matches 2 run data merge block 26 8 99 {Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Remember the clues from previous levels!","italic":"false","color":"gray"}','{"text":"Some stay true throughout the map.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}

setblock 17 7 94 minecraft:stripped_spruce_log[axis=y]
execute if score difficulty escape matches 1..2 run setblock 17 7 94 barrel[facing=down]{Items:[{Slot:13b,id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Each music disc and it\'s hidden","italic":"false","color":"gray"}','{"text":"location are color coded!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}

execute if score difficulty escape matches 1..2 run fill 32 7 94 33 8 94 barrier
execute if score difficulty escape matches 3 run fill 32 7 94 33 8 94 air

execute if score difficulty escape matches 1 run summon minecraft:item_frame 18 8 93 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Is that skeleton following you?","italic":"false","color":"gray"}','{"text":"Get it to shoot the creeper!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1..2 run summon minecraft:item_frame 28 10 89 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:flower_banner_pattern",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Don\'t forget to use the lectern!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
