execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Easy Mode Hint: You\'ve reached the final level! Search this area for clues and items to get your hands on banner patterns. Use each pattern to re-color the decorative banners on the walls. Good Luck! ","color":"aqua"}]
recipe take @a *
clear @a #useless
execute as @e[type=item_frame] at @s if entity @s[nbt={Item:{}}] run data merge entity @s {Tags:["item_framed"]}
execute if score difficulty escape matches 3 run tellraw @a ["",{"text":"Elevator now fully operational!","color":"yellow"}]
execute if score difficulty escape matches 2 run tellraw @a ["",{"text":"Elevator now fully operational! (Hint)","color":"yellow"}]
execute if score difficulty escape matches 1 run tellraw @a ["",{"text":"Elevator now fully operational! (This is already a free hint!)","color":"yellow"}]
kill @e[type=item]
effect give @a minecraft:instant_health 1 10 true
#advancement grant @a only escape:level10
execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @a ~ ~ ~ .25
scoreboard players set topfloor escape 1
scoreboard players set office escape 0
title @a title ["",{"text":"Unlocked","color":"green"}]
title @a subtitle ["",{"text":"Level 11: Workspace","color":"gold"}]
recipe give @a minecraft:flower_banner_pattern
recipe give @a minecraft:mojang_banner_pattern
recipe give @a minecraft:creeper_banner_pattern

tag @a remove reflector
kill @e[tag=reflection]

fill 10 23 78 11 25 78 air

setblock 12 25 77 minecraft:flower_pot
setblock 9 24 74 minecraft:potted_fern
setblock 17 24 69 minecraft:potted_fern
setblock 9 25 66 minecraft:flower_pot
setblock 19 24 66 minecraft:potted_oxeye_daisy
setblock 24 25 66 minecraft:flower_pot

clone 32 1 85 37 4 89 27 23 71

kill @e[x=-4,y=22,z=66,dx=40,dy=5,dz=15,type=painting]
kill @e[x=-4,y=22,z=66,dx=40,dy=5,dz=15,type=item_frame]
kill @e[x=-4,y=22,z=66,dx=40,dy=5,dz=15,type=villager]

summon minecraft:painting 20 24 74 {Facing: 2b,Invulnerable:1b,Motive:"minecraft:aztec"}
summon minecraft:painting 22 24 73 {Facing: 1b, Invulnerable:1b,Motive:"minecraft:graham"}
summon minecraft:painting 14 25 76 {Facing: 3b,Invulnerable:1b,Motive:"minecraft:donkey_kong"}
summon minecraft:painting 24 24 73 {Facing: 3b,Invulnerable:1b,Motive:"minecraft:aztec"}
summon minecraft:painting 34 25 81 {Facing: 1b,Invulnerable:1b,Motive:"minecraft:plant"}
summon minecraft:painting 34 25 70 {Facing: 1b,Invulnerable:1b,Motive:"minecraft:courbet"}
summon minecraft:painting 8 24 68 {Facing: 3b,Invulnerable:1b,Motive:"minecraft:wither"}

summon item_frame 15 25 71 {Facing:4b,Invulnerable:1b,Item:{id:"paper",Count:1b,tag:{display:{Name:'{"text":"Clue","italic":"false"}',Lore:['{"text":"Why do these clues look different?","italic":"false","color":"gray"}']}}},Tags:["item_frame"]}
summon item_frame 16 23 69 {Facing:0b,Invulnerable:1b,Item:{id:"paper",Count:1b,tag:{display:{Name:'{"text":"Clue","italic":"false"}',Lore:['{"text":"These clues have multiple uses.","color":"gray","italic":"false"}']}}},Tags:["item_frame"]}
scoreboard players reset toggleWM unlock

scoreboard players set globeR unlock -179
scoreboard players set globe unlock 0
execute as @e[type=armor_stand,tag=globe] at @s run tp @s ~ 23.0 ~ 0 0
setblock 14 27 74 minecraft:stripped_oak_wood[axis=x]

execute if score difficulty escape matches 3 run data merge entity @e[tag=dry,type=armor_stand,limit=1] {Tags:["dry","laundry"],DisabledSlots:0,ShowArms:0b,HandItems: [{}, {}],  ArmorItems: [{id: "minecraft:leather_boots", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dull Shoes","italic":"false"}'}}}, {id: "minecraft:leather_leggings", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Lackluster Leggings","italic":"false"}'}}}, {}, {id: "minecraft:leather_helmet", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Humdrum Hat","italic":"false"}'}}}]}
execute if score difficulty escape matches 3 run data merge entity @e[tag=wet,type=armor_stand,limit=1] {Tags:["wet","laundry"],DisabledSlots:0,ShowArms:0b,HandItems: [{}, {}],  ArmorItems: [{id: "minecraft:leather_boots", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Faded Shoes","italic":"false"}'}}}, {}, {id: "minecraft:leather_chestplate", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dim Shirt","italic":"false"}'}}}, {id: "minecraft:leather_helmet", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Matte Hat","italic":"false"}'}}}]}
execute if score difficulty escape matches 1..2 run data merge entity @e[tag=dry,type=armor_stand,limit=1] {Tags:["dry","laundry"],DisabledSlots:0,ShowArms:0b,HandItems: [{}, {}],  ArmorItems: [{id: "minecraft:leather_boots", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dirty Shoes","italic":"false"}'}}}, {id: "minecraft:leather_leggings", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dirty Leggings","italic":"false"}'}}}, {}, {id: "minecraft:leather_helmet", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dirty Hat","italic":"false"}'}}}]}
execute if score difficulty escape matches 1..2 run data merge entity @e[tag=wet,type=armor_stand,limit=1] {Tags:["wet","laundry"],DisabledSlots:0,ShowArms:0b,HandItems: [{}, {}],  ArmorItems: [{id: "minecraft:leather_boots", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dirty Shoes","italic":"false"}'}}}, {}, {id: "minecraft:leather_chestplate", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dirty Shirt","italic":"false"}'}}}, {id: "minecraft:leather_helmet", Count: 1b, tag: {Damage: 0, HideFlags: 63, display: {color: 16383998, Name: '{"text":"Dirty Hat","italic":"false"}'}}}]}

data merge block 28 20 76 {Items:[{Slot:13b,id:"minecraft:skull_banner_pattern",Count:1b}]}

setblock 8 24 70 air
setblock 28 25 66 air
setblock 34 26 79 air
setblock 28 25 77 air
setblock 24 24 72 air
setblock 18 26 71 air

setblock 8 24 70 minecraft:lime_banner[rotation=10]
setblock 28 25 66 minecraft:purple_wall_banner[facing=south]
setblock 34 26 79 minecraft:light_blue_wall_banner[facing=south]
setblock 28 25 77 minecraft:red_wall_banner[facing=north]
setblock 24 24 72 minecraft:yellow_banner[rotation=12]
setblock 18 26 71 minecraft:blue_wall_banner[facing=south]

summon villager 8 24 70 {NoAI:1b,NoGravity:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}],Tags:["creeper"],Silent:1b,Invulnerable:1b}
summon villager 28 24 66 {NoAI:1b,NoGravity:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}],Tags:["dragon"],Silent:1b,Invulnerable:1b}
summon villager 34 25 79 {NoAI:1b,NoGravity:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}],Tags:["flower"],Silent:1b,Invulnerable:1b}
summon villager 28 24 77 {NoAI:1b,NoGravity:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}],Tags:["mojang"],Silent:1b,Invulnerable:1b}
summon villager 24 24 72 {NoAI:1b,NoGravity:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}],Tags:["skeleton"],Silent:1b,Invulnerable:1b}
summon villager 18 25 71 {NoAI:1b,NoGravity:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}],Tags:["globe"],Silent:1b,Invulnerable:1b}
team join noco @e[type=villager]

scoreboard players reset * banner
scoreboard players set banner unlock 0

data merge block 21 27 79 {Items:[{Slot:13b,id:"minecraft:enchanted_golden_apple",Count:1b}]}

clone 24 1 94 24 2 95 6 24 67

summon item_frame 3 25 70 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame 1 25 70 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame -1 25 70 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame -3 25 70 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame 1 25 68 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame -1 25 68 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame -3 25 68 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame 3 25 66 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame 1 25 66 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame -1 25 66 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}
summon item_frame -3 25 66 {Facing:1b,Invulnerable:1b,Tags:["redroom","item_frame"]}

item replace block 32 23 67 container.4 with paper{display:{Name:'{"text":"Clue","italic":"false"}',Lore:['{"text":"Those bookshelves seems to have empty shelves,","color":"gray","italic":"false"}','{"text":"but are they really?","color":"gray","italic":"false"}']}}
data merge block 31 26 80 {Items:[{Slot:13b,id:"minecraft:paper",Count:1b,tag:{display:{Lore:['{"text":"Chuck the dirty armor into","color":"gray","italic":"false"}','{"text":"the washing machine.","color":"gray","italic":"false"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}

execute if score difficulty escape matches 1..2 run data merge block 7 25 67 {Text2:'{"text":"Come back here"}',Text3:'{"text":"when you finish"}',Text4:'{"text":"this level! :)"}',Text1:'{"text":"Hint:"}'}

execute if score difficulty escape matches 1 run summon minecraft:item_frame 20 24 79 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:paper",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Check the bookshelves","italic":"false","color":"gray"}','{"text":"for hidden barrels!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1 run data merge block 17 27 79 {Items:[{Slot:13b,id:"minecraft:paper",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Check the other bookshelf!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}}]}

execute if score difficulty escape matches 1 run summon minecraft:item_frame 12 24 76 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:paper",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"The banner patterns you","italic":"false","color":"gray"}','{"text":"will find are be color coded!","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1 run summon minecraft:item_frame 17 26 69 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:paper",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"TIP: Enable fancy graphics","italic":"false","color":"gray"}','{"text":"to see through leaves.","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1 run summon minecraft:item_frame 24 24 82 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:paper",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Push yourself up against the wall","italic":"false","color":"gray"}','{"text":"in the elevator for access","italic":"false","color":"gray"}','{"text":"to that secret room!","color":"gray","italic":"false"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}
execute if score difficulty escape matches 1 run summon minecraft:item_frame 22 24 73 {Facing:1b,ItemRotation:0b,Invulnerable:1b,Item:{id:"minecraft:paper",Count:1b,tag:{HideFlags:63,display:{Lore:['{"text":"Do you know your banner pattern recipes?","italic":"false","color":"gray"}'],Name:'{"text":"Clue","italic":"false"}'}}},Tags:["clue","item_frame"]}

execute if score difficulty escape matches 1..2 run data merge block 35 25 70 {Color:"black",Text4:'{"text":"ontop of it!"}',Text3:'{"text":"elevator to get"}',Text2:'{"text":"buttons in the"}',Text1:'{"text":"Stand next to the"}'}
execute if score difficulty escape matches 3 run data merge block 35 25 70 {Text1:'',Text4:'',Text3:'',Text2:''}
