kill @e[type=minecraft:villager]
kill @e[type=minecraft:item_frame]
recipe take @a *
bossbar set escape:time players
clear @a
effect give @a minecraft:instant_health 1 10 true
tag @a remove reflector
#reset
gamemode adventure @a
gamerule spawnRadius 0
setworldspawn 16 4 31
spawnpoint @a 16 4 31
scoreboard players reset * escape
tp @a 16 4 31
function escape:elevator/reload
execute as @e[type=item_frame,tag=item_frame] at @s run data merge entity @s {Item:{}}
team empty nopvp

setblock 16 7 75 minecraft:acacia_door[open=false,facing=south]
fill 15 10 76 17 7 76 barrier
fill 15 10 74 17 7 74 air replace barrier
setblock 16 7 70 minecraft:gold_block
setblock 16 8 70 minecraft:oak_button[face=floor,facing=south,powered=false]
fill 21 6 115 21 8 115 white_stained_glass_pane

kill @e[tag=start]
summon minecraft:area_effect_cloud 16.5 8 70.5 {CustomNameVisible:1b,Duration:999999,CustomName:'{"text":"Start!","color":"gold","bold":"true"}',Tags:["start"]}
title @a reset
title @a title " "
title @a subtitle " "

#games
fill 37 14 95 41 21 100 barrier replace structure_void

#hallway
fill 3 18 103 5 18 103 barrier replace air
fill 21 17 102 15 18 102 light_gray_stained_glass_pane[west=true,east=true] replace air
fill -6 17 97 -6 18 96 light_gray_stained_glass_pane[north=true,south=true,west=false] replace air

fill 2 19 63 -2 18 62 barrier replace structure_void
fill -8 19 70 -8 19 67 barrier
fill -21 19 73 -7 18 73 barrier

#bedroom
fill 33 17 63 32 17 63 iron_bars replace air
fill 30 17 63 29 17 63 iron_bars replace air
fill 36 12 81 36 13 80 light_gray_stained_glass_pane[north=true,south=true,west=false] replace air

#flower house
fill 21 6 115 21 8 115 air
fill 21 6 115 21 8 115 white_stained_glass_pane replace air
fill 22 9 101 20 7 101 air

#topfloor
fill -2 24 102 -3 26 102 light_gray_stained_glass
fill 20 24 102 19 26 102 light_gray_stained_glass

#lock front door
fill 15 7 74 17 10 74 air replace barrier

#potions
fill -5 8 69 -5 9 69 light_gray_stained_glass_pane replace air
fill -5 7 96 -5 8 96 light_gray_stained_glass_pane replace air
fill 0 9 100 2 8 100 light_gray_stained_glass_pane[east=true,west=true] replace air

setblock 6 24 67 minecraft:iron_door[facing=east,hinge=left,open=false]
setblock 6 24 68 minecraft:iron_door[facing=east,hinge=right,open=false]

fill 15 24 64 17 25 64 light_gray_stained_glass
fill 10 24 102 11 26 102 light_gray_stained_glass
fill -7 24 90 -7 26 91 light_gray_stained_glass

setblock 16 6 74 minecraft:stripped_dark_oak_wood[axis=x]

#function escape:frontdoor
kill @e[tag=display]
execute unless entity @e[tag=rule1] run summon area_effect_cloud 21.5 10.5 70.5 {CustomName:'{"text":"House Rules","color":"gold","bold":"true"}',Tags:["rule1","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule2] run summon area_effect_cloud 21.5 10.1 70.5 {CustomName:'{"text":"Take off your shoes."}',Tags:["rule2","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule3] run summon area_effect_cloud 21.5 9.7 70.5 {CustomName:'{"text":"Left-clicking isn\'t necessary"}',Tags:["rule3","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule3a] run summon area_effect_cloud 21.5 9.45 70.5 {CustomName:'{"text":"unless interacting with a mob."}',Tags:["rule3a","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule4] run summon area_effect_cloud 21.5 9.0 70.5 {CustomName:'{"text":"Each room you unlock will"}',Tags:["rule4","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule5] run summon area_effect_cloud 21.5 8.75 70.5 {CustomName:'{"text":"contain all required items in"}',Tags:["rule5","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule6] run summon area_effect_cloud 21.5 8.5 70.5 {CustomName:'{"text":"order to move on."}',Tags:["rule6","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule7] run summon area_effect_cloud 21.5 8.20 70.5 {CustomName:'{"text":"So, no need to back track."}',Tags:["rule7","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule8] run summon area_effect_cloud 21.5 7.6 70.5 {CustomName:'{"text":"All useless items are cleared"}',Tags:["rule8","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=rule9] run summon area_effect_cloud 21.5 7.35 70.5 {CustomName:'{"text":"after each stage unlocked."}',Tags:["rule9","display"],Duration:9999999,CustomNameVisible:1b}

execute unless entity @e[tag=tip1] run summon area_effect_cloud 11.5 10.3 70.5 {CustomName:'{"text":"Escape Room Tips","color":"yellow","bold":"true"}',Tags:["tip1","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip9] run summon area_effect_cloud 11.5 9.9 70.5 {CustomName:'{"text":"Barrels can blend in - keep an eye out."}',Tags:["tip9","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip2] run summon area_effect_cloud 11.5 9.5 70.5 {CustomName:'{"text":"If working in a group, share"}',Tags:["tip2","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip3] run summon area_effect_cloud 11.5 9.25 70.5 {CustomName:'{"text":"all information you get."}',Tags:["tip3","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip4] run summon area_effect_cloud 11.5 8.8 70.5 {CustomName:'{"text":"Check under/behind all trapdoors."}',Tags:["tip4","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip5] run summon area_effect_cloud 11.5 8.4 70.5 {CustomName:'{"text":"Collect all items you find, even"}',Tags:["tip5","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip6] run summon area_effect_cloud 11.5 8.15 70.5 {CustomName:'{"text":"if they end up being useless."}',Tags:["tip6","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip7] run summon area_effect_cloud 11.5 7.7 70.5 {CustomName:'{"text":"Find clues written in books and scrolls!"}',Tags:["tip7","display"],Duration:9999999,CustomNameVisible:1b}
execute unless entity @e[tag=tip8] run summon area_effect_cloud 11.5 7.45 70.5 {CustomName:'{"text":"If you find a book, place it in a lectern."}',Tags:["tip8","display"],Duration:9999999,CustomNameVisible:1b}

kill @e[type=pig]
