execute as @a[team=] run recipe give @s *
execute as @a[team=] run team join nopvp @s
function escape:yesnno
function escape:elevator/tick
execute unless score enterance escape matches 0..1 if entity @e[type=item_frame] run kill @e[type=item_frame] 
execute if score enterance escape matches 0..1 as @a[tag=!escaping] run tag @s add joinescape
execute if score enterance escape matches 0 run function escape:enterance/tick
execute if score music escape matches 0 run function escape:music/tick
execute if score potions escape matches 0 run function escape:potions/tick
execute if score potions escape matches 0 run function escape:memory/tick
execute if score flower escape matches 0 run function escape:flowers/tick
execute if score kitchen escape matches 0 run function escape:kitchen/tick
execute if score hallway escape matches 0 run function escape:hallway/tick
execute if score games escape matches 0 run function escape:games/tick
execute if score bedroom escape matches 0 run function escape:bedroom/tick
execute if score attic escape matches 0 run function escape:attic/tick
execute if score topfloor escape matches 0 run function escape:topfloor/tick
execute if score office escape matches 0 run function escape:office/tick
execute if score escape escape matches 0 run function escape:final/tick

execute as @e[type=item_frame,tag=item_frame] at @s if entity @s[nbt={ItemRotation:1b}] run summon item ^ ^ ^.5 {Item:{id:"stone",Count:1b},PickupDelay:10s,Tags:["item_frame"]}
execute as @e[type=item_frame,tag=item_frame] at @s if entity @s[nbt={ItemRotation:1b}] run data modify entity @e[type=item,sort=nearest,limit=1,tag=item_frame] Item set from entity @s Item
execute as @e[type=item_frame,tag=item_frame] at @s if entity @s[nbt={ItemRotation:1b}] run data merge entity @s {Item:{id:""},ItemRotation:0b}
execute as @e[type=item_frame,tag=item_frame] at @s if entity @s[nbt={ItemRotation:2b}] run summon item ^ ^ ^.5 {Item:{id:"stone",Count:1b},PickupDelay:10s,Tags:["item_frame"]}
execute as @e[type=item_frame,tag=item_frame] at @s if entity @s[nbt={ItemRotation:2b}] run data modify entity @e[type=item,sort=nearest,limit=1,tag=item_frame] Item set from entity @s Item
execute as @e[type=item_frame,tag=item_frame] at @s if entity @s[nbt={ItemRotation:2b}] run data merge entity @s {Item:{id:""},ItemRotation:0b}

execute as @e[type=item_frame,tag=item_framed] at @s unless entity @s[nbt={ItemRotation:0b}] run data merge entity @s {ItemRotation:0b}

execute if block 16 8 70 minecraft:oak_button[powered=true] run kill @e[tag=start]
execute if block 16 8 70 minecraft:oak_button[powered=true] run kill @e[type=pig]
execute if block 16 8 70 minecraft:oak_button[powered=true] run scoreboard objectives add difficulty trigger
execute if block 16 8 70 minecraft:oak_button[powered=true] run scoreboard players enable @a difficulty
execute if block 16 8 70 minecraft:oak_button[powered=true] run title @a actionbar ["",{"text":"Select a difficulty in chat to begin."}]
execute if block 16 8 70 minecraft:oak_button[powered=true] run tellraw @a ["",{"text":"Select a difficulty.\n\nThe difficulty will not change the level design or how you go about completing a level, however, it will increase/decrease the number of hints you may find within a level. Additionally, the easiest setting will tell you what to be looking for when unlocking each level.  Good Luck!\n","color":"gold"}]
execute if block 16 8 70 minecraft:oak_button[powered=true] run tellraw @a ["",{"text":"[Easy]\n","bold":true,"color":"green","clickEvent":{"action":"run_command","value":"/trigger difficulty set 1"},"hoverEvent":{"action":"show_text","value":["",{"text":"Many hints, as well as a message detailing what you should be looking for."}]}},{"text":"[Medium]\n","bold":true,"color":"yellow","clickEvent":{"action":"run_command","value":"/trigger difficulty set 2"},"hoverEvent":{"action":"show_text","value":["",{"text":"Medium amount of hints, more clues than hard difficulty."}]}},{"text":"[Hard]","bold":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger difficulty set 3"},"hoverEvent":{"action":"show_text","value":["",{"text":"Limited amount of hints, No additional information."}]}}]
execute if block 16 8 70 minecraft:oak_button[powered=true] run tellraw @a ["",{"text":"\nClick the text of difficulty in chat you would like.","color":"gray","italic":"true"}]
execute if block 16 8 70 minecraft:oak_button[powered=true] run kill @e[tag=display]
execute if block 16 8 70 minecraft:oak_button[powered=true] run scoreboard players reset * mapmakers
execute if block 16 8 70 minecraft:oak_button[powered=true] run fill 16 7 70 16 8 70 air destroy

execute as @e[tag=joinescape] at @s run spawnpoint @s 27 12 74
execute as @e[tag=joinescape] at @s run tp @s 16 7 76
execute as @e[tag=joinescape] at @s run team join nopvp @s
execute as @e[tag=joinescape] at @s run bossbar set escape:time players @s
execute as @e[tag=joinescape] at @s run tag @s add escaping
execute as @e[tag=joinescape] at @s run gamemode adventure @s
execute as @e[tag=joinescape] at @s run tag @s remove joinescape

execute as @a[scores={again=1..}] at @s run function escape:reset
execute as @a[scores={again=1..}] at @s run scoreboard players reset * again

execute as @a[scores={difficulty=1}] at @s run tellraw @a ["",{"text":"Good Luck!","color":"gold"}]
execute as @a[scores={difficulty=1}] at @s run scoreboard players set difficulty escape 1
execute as @a[scores={difficulty=2}] at @s run scoreboard players set difficulty escape 2
execute as @a[scores={difficulty=3}] at @s run scoreboard players set difficulty escape 3
execute as @a[scores={difficulty=1..}] at @s run function escape:enterance/unlock
execute as @a[scores={difficulty=1..}] at @s run tag @a add joinescape
execute as @a[scores={difficulty=1..}] at @s run fill 15 7 74 17 10 74 barrier replace air
execute as @a[scores={difficulty=1..}] at @s run fill 15 10 76 17 7 76 air
execute as @a[scores={difficulty=1..}] at @s run scoreboard objectives remove difficulty


stopsound @a * minecraft:block.portal.ambient
effect give @a[nbt=!{ActiveEffects:[{Id:23b}]}] minecraft:saturation 999999 10 true
fill 33 9 77 32 9 77 spruce_trapdoor[facing=north,half=top,open=true]

#enterance & potions area
execute if block 5 8 82 minecraft:spruce_trapdoor[open=true] if block 5 8 81 air run setblock 5 8 81 minecraft:stone_button[face=wall,facing=north,powered=true]
execute if block 5 8 78 minecraft:spruce_trapdoor[open=true] if block 5 8 79 air run setblock 5 8 79 minecraft:stone_button[face=wall,facing=south,powered=true]
execute if block 11 8 87 minecraft:spruce_trapdoor[open=true] if block 10 8 87 air run setblock 10 8 87 minecraft:stone_button[facing=west,powered=true]
execute if block 22 8 87 minecraft:spruce_trapdoor[open=true] if block 23 8 87 air run setblock 23 8 87 minecraft:stone_button[facing=east,powered=true]

#kitchen
execute if block -8 8 82 minecraft:spruce_trapdoor[open=true] if block -8 8 83 air run setblock -8 8 83 minecraft:stone_button[face=wall,facing=south,powered=true]

#Front door tips
execute as @a at @s if block ~ ~-.1 ~ gold_block unless entity @e[type=area_effect_cloud,tag=mickae] run scoreboard players set @s mapmakers 1
execute unless entity @e[type=villager,tag=luke] run summon villager 21.5 7.8 73.5 {Silent:1b,Tags:["luke"],NoAI:1b,Invulnerable:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}]}
execute unless entity @e[type=villager,tag=mickae] run summon villager 11.5 7.8 73.5 {Silent:1b,Tags:["mickae"],NoAI:1b,Invulnerable:1b,ActiveEffects:[{Id:14b,Duration:999999,ShowParticles:0b}]}
execute positioned 16 7 70 if entity @a[scores={mapmakers=1..},distance=..10] at @e[type=villager,distance=..10] run particle happy_villager ~ ~.6 ~ .1 .2 .1 1 1 force @a
execute positioned 16 7 70 if entity @a[scores={mapmakers=1..},distance=..10] at @e[type=villager,distance=..10] run playsound block.note_block.chime master @a ~ ~ ~
execute positioned 16 7 70 if entity @a[scores={mapmakers=1..},distance=..10] unless entity @e[tag=GlxyLuke,type=area_effect_cloud] at @e[type=villager,tag=luke] run summon area_effect_cloud ~ ~.1 ~ {CustomName:'{"text":"GlxyLuke","bold":"true"}',CustomNameVisible:1b,Tags:["GlxyLuke"],Duration:99}
execute positioned 16 7 70 if entity @a[scores={mapmakers=1..},distance=..10] unless entity @e[tag=mapbyluke,type=area_effect_cloud] at @e[type=villager,tag=luke] run summon area_effect_cloud ~ ~.4 ~ {CustomName:'{"text":"Map by:","italic":"false"}',CustomNameVisible:1b,Tags:["mapbyluke"],Duration:99}
execute positioned 16 7 70 if entity @a[scores={mapmakers=1..},distance=..10] unless entity @e[tag=mickae,type=area_effect_cloud] at @e[type=villager,tag=mickae] run summon area_effect_cloud ~ ~.1 ~ {CustomName:'{"text":"mickae","bold":"true"}',CustomNameVisible:1b,Tags:["mickae"],Duration:99}
execute positioned 16 7 70 if entity @a[scores={mapmakers=1..},distance=..10] unless entity @e[tag=mapbymouse,type=area_effect_cloud] at @e[type=villager,tag=mickae] run summon area_effect_cloud ~ ~.4 ~ {CustomName:'{"text":"Map by:","italic":"false"}',CustomNameVisible:1b,Tags:["mapbymouse"],Duration:99}
execute as @a[scores={mapmakers=1..}] at @s run scoreboard players reset @s mapmakers

execute as @e[type=item] at @s if entity @s[nbt={OnGround:1b}] unless entity @a[distance=..5] run data merge entity @s {PickupDelay:0s}
execute as @e[type=item] at @s if entity @s[nbt={OnGround:1b}] unless entity @a[distance=..5] run tp @s @a[limit=1,sort=nearest]

gamemode adventure @a[gamemode=survival]

recipe take @a minecraft:bone_meal
recipe take @a minecraft:blue_dye_from_cornflower
recipe take @a minecraft:light_gray_dye_from_azure_bluet
recipe take @a minecraft:light_gray_dye_from_oxeye_daisey
recipe take @a minecraft:light_gray_dye_from_white_tulip
recipe take @a minecraft:white_dye_from_lily_of_the_valley
recipe take @a minecraft:red_dye_from_poppy
recipe take @a minecraft:red_dye_from_red_tulip
recipe take @a minecraft:red_dye_from_beetroot
recipe take @a minecraft:orange_dye_from_orange_tulip
recipe take @a minecraft:pink_dye_from_pink_tulip
recipe take @a minecraft:magenta_dye_from_allium
recipe take @a minecraft:light_blue_dye_from_blue_orchid
recipe take @a minecraft:iron_nugget
recipe take @a minecraft:diamond
recipe take @a minecraft:emerald
recipe take @a minecraft:gold_ingot
recipe take @a minecraft:gold_ingot_from_gold_block
recipe take @a minecraft:gold_nugget
recipe take @a minecraft:light_weighted_pressure_plate
recipe take @a minecraft:golden_helmet
recipe take @a minecraft:golden_chestplate
recipe take @a minecraft:golden_leggings
recipe take @a minecraft:golden_feet
recipe take @a minecraft:golden_boots
recipe take @a minecraft:iron_block
recipe take @a minecraft:iron_helmet
recipe take @a minecraft:iron_chestplate
recipe take @a minecraft:iron_leggings
recipe take @a minecraft:iron_boots
recipe take @a minecraft:iron_trapdoor
recipe take @a minecraft:iron_door
recipe take @a minecraft:iron_bars
recipe take @a minecraft:oak_pressure_plate
recipe take @a minecraft:oak_button
recipe take @a minecraft:oak_boat
recipe take @a minecraft:oak_stairs
recipe take @a minecraft:oak_slab
recipe take @a minecraft:oak_trapdoor
recipe take @a minecraft:oak_door
recipe take @a minecraft:cobblestone_stairs
recipe take @a minecraft:cobblestone_slab
recipe take @a minecraft:cobblestone_wall
recipe take @a minecraft:stick
recipe take @a minecraft:shield
recipe take @a minecraft:bowl
recipe take @a minecraft:sandstone
recipe take @a minecraft:crafting_table
recipe take @a minecraft:smithing_table
recipe take @a minecraft:shears
recipe take @a minecraft:cauldron
recipe take @a minecraft:bucket

clear @a stone

gamemode adventure @a[gamemode=!adventure,tag=!escaped]
execute if score difficulty escape matches 1 as @a[tag=redcheck,nbt={Inventory:[{id:"minecraft:chainmail_helmet",Count:1b}]}] at @s run tellraw @s ["",{"text":"You\'ve collected a red herring. These can be collected in levels but won\'t be useful in them. However, you should keep them for later ;)","color":"red"}]
execute if score difficulty escape matches 1 as @a[tag=redcheck,nbt={Inventory:[{id:"minecraft:chainmail_helmet",Count:1b}]}] at @s run tag @s remove redcheck